CREATE TABLE `Customer`(
   `_id` int AUTO_INCREMENT NOT NULL,
   `_parent-element` varchar(50) NOT NULL,
   `customer-id` varchar(50) NOT NULL,
   `customer-class` varchar(50),
   `customer-party-id` varchar(50),
   `customer-plan-id` varchar(50),
   `customer-order-id` varchar(50),
   `customer-item-id` varchar(50),
   `customer-resource-id` varchar(50),
   `customer-process-id` varchar(50),
   `customer-lot-id` varchar(50),
   `customer-task-id` varchar(50),
   `customer-operation-id` varchar(50),
   `parent-id` varchar(50),
   `child-id` varchar(50),
   `child-name` varchar(50),
   `child-item-id` varchar(50),
   `child-resource-id` varchar(50),
   `child-process-id` varchar(50),
   `child-no` decimal(15,3),
   `child-quantity` decimal(15,3),
   `child-quantity-unit` varchar(50),
   `child-description` varchar(50),
   `contact-address` varchar(50),
   `contact-post-no` varchar(50),
   `contact-type` varchar(50),
   `contact-phone-no` varchar(50),
   `contact-email` varchar(50),
   `contact-fax-no` varchar(50),
   `contact-department` varchar(50),
   `contact-staff` varchar(50),
   `transaction-party-id` varchar(50),
   `transaction-item` varchar(50),
   `transaction-resource-id` varchar(50),
   `transaction-process-id` varchar(50),
   `transaction-type` varchar(50),
   `transaction-name` varchar(50),
   `transaction-price` decimal(15,3),
   `transaction-price-unit` varchar(50),
   `transaction-quantity` decimal(15,3),
   `transaction-quantity-unit` varchar(50),
   `transaction-quantity-rate` decimal(15,3),
   `transaction-leadtime` decimal(15,3),
   `transaction-leadtime-unit` varchar(50),
   `transaction-term` varchar(50),
   `transaction-description` varchar(50),
   `calendar-id` varchar(50),
   `calendar-no` decimal(15,3),
   `calendar-type` varchar(50),
   `calendar-status` varchar(50),
   `calendar-date` datetime,
   `calendar-description` varchar(50),
   `customer-name` varchar(50),
   `customer-name-second` varchar(50),
   `customer-rank` varchar(50),
   `customer-category` varchar(50),
   `decision-status` varchar(50),
   `complete-status` varchar(50),
   `result-status` varchar(50),
   `display-name` varchar(50),
   `display-color` varchar(50),
   `display-row` varchar(50),
   `display-column` varchar(50),
   `description` varchar(50),
   `department-name` varchar(50),
   `department-staff` varchar(50),
   `date-create` datetime,
   `date-revise` datetime,
   `date-valid` datetime,
   `date-expire` datetime,
PRIMARY KEY (`_id`) );

CREATE TABLE `Supplier`(
   `_id` int AUTO_INCREMENT NOT NULL,
   `_parent-element` varchar(50) NOT NULL,
   `supplier-id` varchar(50) NOT NULL,
   `supplier-class` varchar(50),
   `supplier-party-id` varchar(50),
   `supplier-plan-id` varchar(50),
   `supplier-order-id` varchar(50),
   `supplier-item-id` varchar(50),
   `supplier-resource-id` varchar(50),
   `supplier-process-id` varchar(50),
   `supplier-lot-id` varchar(50),
   `supplier-task-id` varchar(50),
   `supplier-operation-id` varchar(50),
   `parent-id` varchar(50),
   `child-id` varchar(50),
   `child-name` varchar(50),
   `child-item-id` varchar(50),
   `child-resource-id` varchar(50),
   `child-process-id` varchar(50),
   `child-no` decimal(15,3),
   `child-quantity` decimal(15,3),
   `child-quantity-unit` varchar(50),
   `child-description` varchar(50),
   `contact-address` varchar(50),
   `contact-post-no` varchar(50),
   `contact-type` varchar(50),
   `contact-phone-no` varchar(50),
   `contact-email` varchar(50),
   `contact-fax-no` varchar(50),
   `contact-department` varchar(50),
   `contact-staff` varchar(50),
   `transaction-party-id` varchar(50),
   `transaction-item` varchar(50),
   `transaction-resource-id` varchar(50),
   `transaction-process-id` varchar(50),
   `transaction-type` varchar(50),
   `transaction-name` varchar(50),
   `transaction-price` decimal(15,3),
   `transaction-price-unit` varchar(50),
   `transaction-quantity` decimal(15,3),
   `transaction-quantity-unit` varchar(50),
   `transaction-quantity-rate` decimal(15,3),
   `transaction-leadtime` decimal(15,3),
   `transaction-leadtime-unit` varchar(50),
   `transaction-term` varchar(50),
   `transaction-description` varchar(50),
   `calendar-id` varchar(50),
   `calendar-no` decimal(15,3),
   `calendar-type` varchar(50),
   `calendar-status` varchar(50),
   `calendar-date` datetime,
   `calendar-description` varchar(50),
   `supplier-name` varchar(50),
   `supplier-name-second` varchar(50),
   `supplier-rank` varchar(50),
   `supplier-category` varchar(50),
   `decision-status` varchar(50),
   `complete-status` varchar(50),
   `result-status` varchar(50),
   `display-name` varchar(50),
   `display-color` varchar(50),
   `display-row` varchar(50),
   `display-column` varchar(50),
   `description` varchar(50),
   `department-name` varchar(50),
   `department-staff` varchar(50),
   `date-create` datetime,
   `date-revise` datetime,
   `date-valid` datetime,
   `date-expire` datetime,
PRIMARY KEY (`_id`) );

CREATE TABLE `Product`(
   `_id` int AUTO_INCREMENT NOT NULL,
   `_parent-element` varchar(50) NOT NULL,
   `product-id` varchar(50) NOT NULL,
   `product-class` varchar(50),
   `product-party-id` varchar(50),
   `product-plan-id` varchar(50),
   `product-order-id` varchar(50),
   `product-item-id` varchar(50),
   `product-resource-id` varchar(50),
   `product-process-id` varchar(50),
   `product-lot-id` varchar(50),
   `product-task-id` varchar(50),
   `product-operation-id` varchar(50),
   `parent-id` varchar(50),
   `child-id` varchar(50),
   `child-name` varchar(50),
   `child-item-id` varchar(50),
   `child-resource-id` varchar(50),
   `child-process-id` varchar(50),
   `child-no` decimal(15,3),
   `child-quantity` decimal(15,3),
   `child-quantity-unit` varchar(50),
   `child-description` varchar(50),
   `family-item-id` varchar(50),
   `family-item-type` varchar(50),
   `family-item-description` varchar(50),
   `kit-item-id` varchar(50),
   `kit-item-type` varchar(50),
   `kit-item-description` varchar(50),
   `pegging-order-id` varchar(50),
   `pegging-type` varchar(50),
   `pegging-quantity-plan` decimal(15,3),
   `pegging-quantity-plan-unit` varchar(50),
   `pegging-quantity` decimal(15,3),
   `pegging-quantity-unit` varchar(50),
   `transaction-party-id` varchar(50),
   `transaction-item` varchar(50),
   `transaction-resource-id` varchar(50),
   `transaction-process-id` varchar(50),
   `transaction-type` varchar(50),
   `transaction-name` varchar(50),
   `transaction-price` decimal(15,3),
   `transaction-price-unit` varchar(50),
   `transaction-quantity` decimal(15,3),
   `transaction-quantity-unit` varchar(50),
   `transaction-quantity-rate` decimal(15,3),
   `transaction-leadtime` decimal(15,3),
   `transaction-leadtime-unit` varchar(50),
   `transaction-term` varchar(50),
   `transaction-description` varchar(50),
   `stock-control-type` varchar(50),
   `stock-control-location` varchar(50),
   `stock-control-cycle` decimal(15,3),
   `stock-control-cycle-unit` varchar(50),
   `stock-level-standard` decimal(15,3),
   `stock-level-standard-unit` varchar(50),
   `stock-level-min` decimal(15,3),
   `stock-level-min-unit` varchar(50),
   `stock-level-max` decimal(15,3),
   `stock-level-max-unit` varchar(50),
   `stock-type` varchar(50),
   `stock-location` varchar(50),
   `stock-value` decimal(15,3),
   `stock-unit` varchar(50),
   `stock-time` datetime,
   `product-name` varchar(50),
   `product-name-second` varchar(50),
   `product-rank` varchar(50),
   `product-category` varchar(50),
   `product-instruction` varchar(50),
   `product-engineering` varchar(50),
   `decision-status` varchar(50),
   `complete-status` varchar(50),
   `result-status` varchar(50),
   `product-size` varchar(50),
   `product-color` varchar(50),
   `product-material` varchar(50),
   `product-weight` varchar(50),
   `unit-quantity` decimal(15,3),
   `unit-name` varchar(50),
   `option-id` varchar(50),
   `option-name` varchar(50),
   `option-item-id` varchar(50),
   `option-resource-id` varchar(50),
   `option-process-id` varchar(50),
   `option-type` varchar(50),
   `option-value` decimal(15,3),
   `option-value-unit` varchar(50),
   `option-rate` decimal(15,3),
   `option-description` varchar(50),
   `lotsize-data-type` varchar(50),
   `lotsize-standard` decimal(15,3),
   `lotsize-standard-unit` varchar(50),
   `lotsize-min` decimal(15,3),
   `lotsize-min-unit` varchar(50),
   `lotsize-max` decimal(15,3),
   `lotsize-max-unit` varchar(50),
   `lotsize-round` decimal(15,3),
   `lotsize-round-unit` varchar(50),
   `claim-type` varchar(50),
   `claim-date` datetime,
   `claim-information` varchar(50),
   `standard-price-type` varchar(50),
   `standard-price` decimal(15,3),
   `standard-price-unit` varchar(50),
   `standard-price-time` datetime,
   `standard-cost-type` varchar(50),
   `standard-cost` decimal(15,3),
   `standard-cost-unit` varchar(50),
   `standard-cost-time` datetime,
   `display-name` varchar(50),
   `display-color` varchar(50),
   `display-row` varchar(50),
   `display-column` varchar(50),
   `description` varchar(50),
   `department-name` varchar(50),
   `department-staff` varchar(50),
   `date-create` datetime,
   `date-revise` datetime,
   `date-valid` datetime,
   `date-expire` datetime,
PRIMARY KEY (`_id`) );

CREATE TABLE `Material`(
   `_id` int AUTO_INCREMENT NOT NULL,
   `_parent-element` varchar(50) NOT NULL,
   `material-id` varchar(50) NOT NULL,
   `material-class` varchar(50),
   `material-party-id` varchar(50),
   `material-plan-id` varchar(50),
   `material-order-id` varchar(50),
   `material-item-id` varchar(50),
   `material-resource-id` varchar(50),
   `material-process-id` varchar(50),
   `material-lot-id` varchar(50),
   `material-task-id` varchar(50),
   `material-operation-id` varchar(50),
   `parent-id` varchar(50),
   `child-id` varchar(50),
   `child-name` varchar(50),
   `child-item-id` varchar(50),
   `child-resource-id` varchar(50),
   `child-process-id` varchar(50),
   `child-no` decimal(15,3),
   `child-quantity` decimal(15,3),
   `child-quantity-unit` varchar(50),
   `child-description` varchar(50),
   `family-item-id` varchar(50),
   `family-item-type` varchar(50),
   `family-item-description` varchar(50),
   `kit-item-id` varchar(50),
   `kit-item-type` varchar(50),
   `kit-item-description` varchar(50),
   `pegging-order-id` varchar(50),
   `pegging-type` varchar(50),
   `pegging-quantity-plan` decimal(15,3),
   `pegging-quantity-plan-unit` varchar(50),
   `pegging-quantity` decimal(15,3),
   `pegging-quantity-unit` varchar(50),
   `transaction-party-id` varchar(50),
   `transaction-item` varchar(50),
   `transaction-resource-id` varchar(50),
   `transaction-process-id` varchar(50),
   `transaction-type` varchar(50),
   `transaction-name` varchar(50),
   `transaction-price` decimal(15,3),
   `transaction-price-unit` varchar(50),
   `transaction-quantity` decimal(15,3),
   `transaction-quantity-unit` varchar(50),
   `transaction-quantity-rate` decimal(15,3),
   `transaction-leadtime` decimal(15,3),
   `transaction-leadtime-unit` varchar(50),
   `transaction-term` varchar(50),
   `transaction-description` varchar(50),
   `stock-control-type` varchar(50),
   `stock-control-location` varchar(50),
   `stock-control-cycle` decimal(15,3),
   `stock-control-cycle-unit` varchar(50),
   `stock-level-standard` decimal(15,3),
   `stock-level-standard-unit` varchar(50),
   `stock-level-min` decimal(15,3),
   `stock-level-min-unit` varchar(50),
   `stock-level-max` decimal(15,3),
   `stock-level-max-unit` varchar(50),
   `stock-type` varchar(50),
   `stock-location` varchar(50),
   `stock-value` decimal(15,3),
   `stock-unit` varchar(50),
   `stock-time` datetime,
   `material-name` varchar(50),
   `material-name-second` varchar(50),
   `material-rank` varchar(50),
   `material-category` varchar(50),
   `material-instruction` varchar(50),
   `material-engineering` varchar(50),
   `decision-status` varchar(50),
   `complete-status` varchar(50),
   `result-status` varchar(50),
   `unit-quantity` decimal(15,3),
   `unit-name` varchar(50),
   `option-id` varchar(50),
   `option-name` varchar(50),
   `option-item-id` varchar(50),
   `option-resource-id` varchar(50),
   `option-process-id` varchar(50),
   `option-type` varchar(50),
   `option-value` decimal(15,3),
   `option-value-unit` varchar(50),
   `option-rate` decimal(15,3),
   `option-description` varchar(50),
   `lotsize-data-type` varchar(50),
   `lotsize-standard` decimal(15,3),
   `lotsize-standard-unit` varchar(50),
   `lotsize-min` decimal(15,3),
   `lotsize-min-unit` varchar(50),
   `lotsize-max` decimal(15,3),
   `lotsize-max-unit` varchar(50),
   `lotsize-round` decimal(15,3),
   `lotsize-round-unit` varchar(50),
   `claim-type` varchar(50),
   `claim-date` datetime,
   `claim-information` varchar(50),
   `standard-price-type` varchar(50),
   `standard-price` decimal(15,3),
   `standard-price-unit` varchar(50),
   `standard-price-time` datetime,
   `standard-cost-type` varchar(50),
   `standard-cost` decimal(15,3),
   `standard-cost-unit` varchar(50),
   `standard-cost-time` datetime,
   `display-name` varchar(50),
   `display-color` varchar(50),
   `display-row` varchar(50),
   `display-column` varchar(50),
   `description` varchar(50),
   `department-name` varchar(50),
   `department-staff` varchar(50),
   `date-create` datetime,
   `date-revise` datetime,
   `date-valid` datetime,
   `date-expire` datetime,
PRIMARY KEY (`_id`) );

CREATE TABLE `Equipment`(
   `_id` int AUTO_INCREMENT NOT NULL,
   `_parent-element` varchar(50) NOT NULL,
   `equipment-id` varchar(50) NOT NULL,
   `equipment-class` varchar(50),
   `equipment-party-id` varchar(50),
   `equipment-plan-id` varchar(50),
   `equipment-order-id` varchar(50),
   `equipment-item-id` varchar(50),
   `equipment-resource-id` varchar(50),
   `equipment-process-id` varchar(50),
   `equipment-lot-id` varchar(50),
   `equipment-task-id` varchar(50),
   `equipment-operation-id` varchar(50),
   `parent-id` varchar(50),
   `child-id` varchar(50),
   `child-name` varchar(50),
   `child-item-id` varchar(50),
   `child-resource-id` varchar(50),
   `child-process-id` varchar(50),
   `child-no` decimal(15,3),
   `child-quantity` decimal(15,3),
   `child-quantity-unit` varchar(50),
   `child-description` varchar(50),
   `equipment-site-id` varchar(50),
   `equipment-area-id` varchar(50),
   `equipment-workcenter-id` varchar(50),
   `equipment-department-id` varchar(50),
   `location-id` varchar(50),
   `location-name` varchar(50),
   `location-type` varchar(50),
   `location-region` varchar(50),
   `location-method` varchar(50),
   `location-time` datetime,
   `capability-type` varchar(50),
   `capability-value` decimal(15,3),
   `capability-value-unit` varchar(50),
   `capability-description` varchar(50),
   `capacity-item-id` varchar(50),
   `capacity-resource-id` varchar(50),
   `capacity-process-id` varchar(50),
   `capacity-type` varchar(50),
   `capacity-name` varchar(50),
   `capacity-value` decimal(15,3),
   `capacity-value-unit` varchar(50),
   `capacity-time` datetime,
   `capacity-description` varchar(50),
   `equipment-name` varchar(50),
   `equipment-name-second` varchar(50),
   `equipment-rank` varchar(50),
   `equipment-category` varchar(50),
   `equipment-instruction` varchar(50),
   `equipment-engineering` varchar(50),
   `decision-status` varchar(50),
   `complete-status` varchar(50),
   `result-status` varchar(50),
   `unit-quantity` decimal(15,3),
   `unit-name` varchar(50),
   `total-time-type` varchar(50),
   `total-time` decimal(15,3),
   `total-time-unit` varchar(50),
   `break-type` varchar(50),
   `break-date` datetime,
   `break-description` varchar(50),
   `break-quantity` decimal(15,3),
   `break-quantity-unit` varchar(50),
   `standard-time-type` varchar(50),
   `standard-time` decimal(15,3),
   `standard-time-unit` varchar(50),
   `claim-type` varchar(50),
   `claim-date` datetime,
   `claim-information` varchar(50),
   `standard-price-type` varchar(50),
   `standard-price` decimal(15,3),
   `standard-price-unit` varchar(50),
   `standard-price-time` datetime,
   `standard-cost-type` varchar(50),
   `standard-cost` decimal(15,3),
   `standard-cost-unit` varchar(50),
   `standard-cost-time` datetime,
   `display-name` varchar(50),
   `display-color` varchar(50),
   `display-row` varchar(50),
   `display-column` varchar(50),
   `description` varchar(50),
   `department-name` varchar(50),
   `department-staff` varchar(50),
   `date-create` datetime,
   `date-revise` datetime,
   `date-valid` datetime,
   `date-expire` datetime,
PRIMARY KEY (`_id`) );

CREATE TABLE `Personnel`(
   `_id` int AUTO_INCREMENT NOT NULL,
   `_parent-element` varchar(50) NOT NULL,
   `personnel-id` varchar(50) NOT NULL,
   `personnel-class` varchar(50),
   `personnel-party-id` varchar(50),
   `personnel-plan-id` varchar(50),
   `personnel-order-id` varchar(50),
   `personnel-item-id` varchar(50),
   `personnel-resource-id` varchar(50),
   `personnel-process-id` varchar(50),
   `personnel-lot-id` varchar(50),
   `personnel-task-id` varchar(50),
   `personnel-operation-id` varchar(50),
   `parent-id` varchar(50),
   `child-id` varchar(50),
   `child-name` varchar(50),
   `child-item-id` varchar(50),
   `child-resource-id` varchar(50),
   `child-process-id` varchar(50),
   `child-no` decimal(15,3),
   `child-quantity` decimal(15,3),
   `child-quantity-unit` varchar(50),
   `child-description` varchar(50),
   `personnel-site-id` varchar(50),
   `personnel-area-id` varchar(50),
   `personnel-workcenter-id` varchar(50),
   `personnel-department-id` varchar(50),
   `location-id` varchar(50),
   `location-name` varchar(50),
   `location-type` varchar(50),
   `location-region` varchar(50),
   `location-method` varchar(50),
   `location-time` datetime,
   `capability-type` varchar(50),
   `capability-value` decimal(15,3),
   `capability-value-unit` varchar(50),
   `capability-description` varchar(50),
   `capacity-item-id` varchar(50),
   `capacity-resource-id` varchar(50),
   `capacity-process-id` varchar(50),
   `capacity-type` varchar(50),
   `capacity-name` varchar(50),
   `capacity-value` decimal(15,3),
   `capacity-value-unit` varchar(50),
   `capacity-time` datetime,
   `capacity-description` varchar(50),
   `personnel-name` varchar(50),
   `personnel-name-second` varchar(50),
   `personnel-rank` varchar(50),
   `personnel-category` varchar(50),
   `personnel-instruction` varchar(50),
   `personnel-engineering` varchar(50),
   `decision-status` varchar(50),
   `complete-status` varchar(50),
   `result-status` varchar(50),
   `unit-quantity` decimal(15,3),
   `unit-name` varchar(50),
   `total-time-type` varchar(50),
   `total-time` decimal(15,3),
   `total-time-unit` varchar(50),
   `break-type` varchar(50),
   `break-date` datetime,
   `break-description` varchar(50),
   `break-quantity` decimal(15,3),
   `break-quantity-unit` varchar(50),
   `standard-time-type` varchar(50),
   `standard-time` decimal(15,3),
   `standard-time-unit` varchar(50),
   `claim-type` varchar(50),
   `claim-date` datetime,
   `claim-information` varchar(50),
   `standard-price-type` varchar(50),
   `standard-price` decimal(15,3),
   `standard-price-unit` varchar(50),
   `standard-price-time` datetime,
   `standard-cost-type` varchar(50),
   `standard-cost` decimal(15,3),
   `standard-cost-unit` varchar(50),
   `standard-cost-time` datetime,
   `display-name` varchar(50),
   `display-color` varchar(50),
   `display-row` varchar(50),
   `display-column` varchar(50),
   `description` varchar(50),
   `department-name` varchar(50),
   `department-staff` varchar(50),
   `date-create` datetime,
   `date-revise` datetime,
   `date-valid` datetime,
   `date-expire` datetime,
PRIMARY KEY (`_id`) );

CREATE TABLE `ProductionCapability`(
   `_id` int AUTO_INCREMENT NOT NULL,
   `_parent-element` varchar(50) NOT NULL,
   `capability-id` varchar(50) NOT NULL,
   `capability-class` varchar(50),
   `capability-party-id` varchar(50),
   `capability-plan-id` varchar(50),
   `capability-order-id` varchar(50),
   `capability-item-id` varchar(50),
   `capability-resource-id` varchar(50),
   `capability-process-id` varchar(50),
   `capability-lot-id` varchar(50),
   `capability-task-id` varchar(50),
   `capability-operation-id` varchar(50),
   `parent-id` varchar(50),
   `child-id` varchar(50),
   `child-name` varchar(50),
   `child-item-id` varchar(50),
   `child-resource-id` varchar(50),
   `child-process-id` varchar(50),
   `child-no` decimal(15,3),
   `child-quantity` decimal(15,3),
   `child-quantity-unit` varchar(50),
   `child-description` varchar(50),
   `counter` decimal(15,3),
   `year` decimal(15,3),
   `month` decimal(15,3),
   `week` decimal(15,3),
   `day` decimal(15,3),
   `shift` decimal(15,3),
   `capability-site-id` varchar(50),
   `capability-area-id` varchar(50),
   `capability-workcenter-id` varchar(50),
   `capability-department-id` varchar(50),
   `event-id` varchar(50),
   `event-name` varchar(50),
   `event-type` varchar(50),
   `event-status` varchar(50),
   `event-count` decimal(15,3),
   `event-value` decimal(15,3),
   `event-value-unit` varchar(50),
   `event-time` datetime,
   `event-description` varchar(50),
   `capability-type` varchar(50),
   `capability-value` decimal(15,3),
   `capability-value-unit` varchar(50),
   `capability-description` varchar(50),
   `capacity-item-id` varchar(50),
   `capacity-resource-id` varchar(50),
   `capacity-process-id` varchar(50),
   `capacity-type` varchar(50),
   `capacity-name` varchar(50),
   `capacity-value` decimal(15,3),
   `capacity-value-unit` varchar(50),
   `capacity-time` datetime,
   `capacity-description` varchar(50),
   `capability-name` varchar(50),
   `capability-name-second` varchar(50),
   `capability-item-name` varchar(50),
   `capability-resource-name` varchar(50),
   `capability-process-name` varchar(50),
   `capability-party-name` varchar(50),
   `capability-rank` varchar(50),
   `capability-category` varchar(50),
   `decision-status` varchar(50),
   `complete-status` varchar(50),
   `result-status` varchar(50),
   `unit-quantity` decimal(15,3),
   `unit-name` varchar(50),
   `period-start-type` varchar(50),
   `period-start-time` datetime,
   `period-end-type` varchar(50),
   `period-end-time` datetime,
   `display-name` varchar(50),
   `display-color` varchar(50),
   `display-row` varchar(50),
   `display-column` varchar(50),
   `description` varchar(50),
   `department-name` varchar(50),
   `department-staff` varchar(50),
   `date-create` datetime,
   `date-revise` datetime,
   `date-valid` datetime,
   `date-expire` datetime,
PRIMARY KEY (`_id`) );

CREATE TABLE `ProductionProcess`(
   `_id` int AUTO_INCREMENT NOT NULL,
   `_parent-element` varchar(50) NOT NULL,
   `production-id` varchar(50) NOT NULL,
   `production-class` varchar(50),
   `production-party-id` varchar(50),
   `production-plan-id` varchar(50),
   `production-order-id` varchar(50),
   `production-item-id` varchar(50),
   `production-resource-id` varchar(50),
   `production-process-id` varchar(50),
   `production-lot-id` varchar(50),
   `production-task-id` varchar(50),
   `production-operation-id` varchar(50),
   `parent-id` varchar(50),
   `child-id` varchar(50),
   `child-name` varchar(50),
   `child-item-id` varchar(50),
   `child-resource-id` varchar(50),
   `child-process-id` varchar(50),
   `child-no` decimal(15,3),
   `child-quantity` decimal(15,3),
   `child-quantity-unit` varchar(50),
   `child-description` varchar(50),
   `produce-item-id` varchar(50),
   `produce-resource-id` varchar(50),
   `produce-operation-id` varchar(50),
   `produce-type` varchar(50),
   `produce-name` varchar(50),
   `produce-group` varchar(50),
   `produce-time-plan` datetime,
   `produce-quantity-plan` decimal(15,3),
   `produce-quantity-plan-unit` varchar(50),
   `produce-time` datetime,
   `produce-quantity` decimal(15,3),
   `produce-quantity-unit` varchar(50),
   `produce-rate` decimal(15,3),
   `produce-priority-value` decimal(15,3),
   `produce-priority-category` varchar(50),
   `consume-item-id` varchar(50),
   `consume-resource-id` varchar(50),
   `consume-operation-id` varchar(50),
   `consume-type` varchar(50),
   `consume-name` varchar(50),
   `consume-group` varchar(50),
   `consume-time-plan` datetime,
   `consume-quantity-plan` decimal(15,3),
   `consume-quantity-plan-unit` varchar(50),
   `consume-time` datetime,
   `consume-quantity` decimal(15,3),
   `consume-quantity-unit` varchar(50),
   `consume-rate` decimal(15,3),
   `consume-priority-value` decimal(15,3),
   `consume-priority-category` varchar(50),
   `assign-item-id` varchar(50),
   `assign-resource-id` varchar(50),
   `assign-operation-id` varchar(50),
   `assign-type` varchar(50),
   `assign-name` varchar(50),
   `assign-group` varchar(50),
   `assign-time-plan` datetime,
   `assign-quantity-plan` decimal(15,3),
   `assign-quantity-plan-unit` varchar(50),
   `assign-time` datetime,
   `assign-quantity` decimal(15,3),
   `assign-quantity-unit` varchar(50),
   `assign-dulation` decimal(15,3),
   `assign-dulation-unit` varchar(50),
   `assign-rate` decimal(15,3),
   `assign-priority-value` decimal(15,3),
   `assign-priority-category` varchar(50),
   `predecessor-id` varchar(50),
   `predecessor-name` varchar(50),
   `predecessor-type` varchar(50),
   `predecessor-group` varchar(50),
   `predecessor-time` decimal(15,3),
   `predecessor-time-unit` varchar(50),
   `successor-id` varchar(50),
   `successor-name` varchar(50),
   `successor-type` varchar(50),
   `successor-group` varchar(50),
   `successor-time` decimal(15,3),
   `successor-time-unit` varchar(50),
   `operation-step-id` varchar(50),
   `operation-step-type` varchar(50),
   `operation-step-name` varchar(50),
   `operation-step-count` decimal(15,3),
   `operation-step-value` decimal(15,3),
   `operation-step-value-unit` varchar(50),
   `operation-step-description` varchar(50),
   `capability-type` varchar(50),
   `capability-value` decimal(15,3),
   `capability-value-unit` varchar(50),
   `capability-description` varchar(50),
   `production-name` varchar(50),
   `production-name-second` varchar(50),
   `production-rank` varchar(50),
   `production-category` varchar(50),
   `production-instruction` varchar(50),
   `production-engineering` varchar(50),
   `decision-status` varchar(50),
   `complete-status` varchar(50),
   `result-status` varchar(50),
   `unit-quantity` decimal(15,3),
   `unit-name` varchar(50),
   `total-time-type` varchar(50),
   `total-time` decimal(15,3),
   `total-time-unit` varchar(50),
   `lotsize-data-type` varchar(50),
   `lotsize-standard` decimal(15,3),
   `lotsize-standard-unit` varchar(50),
   `lotsize-min` decimal(15,3),
   `lotsize-min-unit` varchar(50),
   `lotsize-max` decimal(15,3),
   `lotsize-max-unit` varchar(50),
   `lotsize-round` decimal(15,3),
   `lotsize-round-unit` varchar(50),
   `standard-time-type` varchar(50),
   `standard-time` decimal(15,3),
   `standard-time-unit` varchar(50),
   `claim-type` varchar(50),
   `claim-date` datetime,
   `claim-information` varchar(50),
   `standard-price-type` varchar(50),
   `standard-price` decimal(15,3),
   `standard-price-unit` varchar(50),
   `standard-price-time` datetime,
   `standard-cost-type` varchar(50),
   `standard-cost` decimal(15,3),
   `standard-cost-unit` varchar(50),
   `standard-cost-time` datetime,
   `display-name` varchar(50),
   `display-color` varchar(50),
   `display-row` varchar(50),
   `display-column` varchar(50),
   `description` varchar(50),
   `department-name` varchar(50),
   `department-staff` varchar(50),
   `date-create` datetime,
   `date-revise` datetime,
   `date-valid` datetime,
   `date-expire` datetime,
PRIMARY KEY (`_id`) );

CREATE TABLE `InventoryProcess`(
   `_id` int AUTO_INCREMENT NOT NULL,
   `_parent-element` varchar(50) NOT NULL,
   `inventory-id` varchar(50) NOT NULL,
   `inventory-class` varchar(50),
   `inventory-party-id` varchar(50),
   `inventory-plan-id` varchar(50),
   `inventory-order-id` varchar(50),
   `inventory-item-id` varchar(50),
   `inventory-resource-id` varchar(50),
   `inventory-process-id` varchar(50),
   `inventory-lot-id` varchar(50),
   `inventory-task-id` varchar(50),
   `inventory-operation-id` varchar(50),
   `parent-id` varchar(50),
   `child-id` varchar(50),
   `child-name` varchar(50),
   `child-item-id` varchar(50),
   `child-resource-id` varchar(50),
   `child-process-id` varchar(50),
   `child-no` decimal(15,3),
   `child-quantity` decimal(15,3),
   `child-quantity-unit` varchar(50),
   `child-description` varchar(50),
   `produce-item-id` varchar(50),
   `produce-resource-id` varchar(50),
   `produce-operation-id` varchar(50),
   `produce-type` varchar(50),
   `produce-name` varchar(50),
   `produce-group` varchar(50),
   `produce-time-plan` datetime,
   `produce-quantity-plan` decimal(15,3),
   `produce-quantity-plan-unit` varchar(50),
   `produce-time` datetime,
   `produce-quantity` decimal(15,3),
   `produce-quantity-unit` varchar(50),
   `produce-rate` decimal(15,3),
   `produce-priority-value` decimal(15,3),
   `produce-priority-category` varchar(50),
   `consume-item-id` varchar(50),
   `consume-resource-id` varchar(50),
   `consume-operation-id` varchar(50),
   `consume-type` varchar(50),
   `consume-name` varchar(50),
   `consume-group` varchar(50),
   `consume-time-plan` datetime,
   `consume-quantity-plan` decimal(15,3),
   `consume-quantity-plan-unit` varchar(50),
   `consume-time` datetime,
   `consume-quantity` decimal(15,3),
   `consume-quantity-unit` varchar(50),
   `consume-rate` decimal(15,3),
   `consume-priority-value` decimal(15,3),
   `consume-priority-category` varchar(50),
   `assign-item-id` varchar(50),
   `assign-resource-id` varchar(50),
   `assign-operation-id` varchar(50),
   `assign-type` varchar(50),
   `assign-name` varchar(50),
   `assign-group` varchar(50),
   `assign-time-plan` datetime,
   `assign-quantity-plan` decimal(15,3),
   `assign-quantity-plan-unit` varchar(50),
   `assign-time` datetime,
   `assign-quantity` decimal(15,3),
   `assign-quantity-unit` varchar(50),
   `assign-dulation` decimal(15,3),
   `assign-dulation-unit` varchar(50),
   `assign-rate` decimal(15,3),
   `assign-priority-value` decimal(15,3),
   `assign-priority-category` varchar(50),
   `predecessor-id` varchar(50),
   `predecessor-name` varchar(50),
   `predecessor-type` varchar(50),
   `predecessor-group` varchar(50),
   `predecessor-time` decimal(15,3),
   `predecessor-time-unit` varchar(50),
   `successor-id` varchar(50),
   `successor-name` varchar(50),
   `successor-type` varchar(50),
   `successor-group` varchar(50),
   `successor-time` decimal(15,3),
   `successor-time-unit` varchar(50),
   `operation-step-id` varchar(50),
   `operation-step-type` varchar(50),
   `operation-step-name` varchar(50),
   `operation-step-count` decimal(15,3),
   `operation-step-value` decimal(15,3),
   `operation-step-value-unit` varchar(50),
   `operation-step-description` varchar(50),
   `location-id` varchar(50),
   `location-name` varchar(50),
   `location-type` varchar(50),
   `location-region` varchar(50),
   `location-method` varchar(50),
   `location-time` datetime,
   `transfer-id` varchar(50),
   `transfer-name` varchar(50),
   `transfer-type` varchar(50),
   `transfer-region` varchar(50),
   `transfer-method` varchar(50),
   `transfer-time` datetime,
   `capability-type` varchar(50),
   `capability-value` decimal(15,3),
   `capability-value-unit` varchar(50),
   `capability-description` varchar(50),
   `inventory-name` varchar(50),
   `inventory-name-second` varchar(50),
   `inventory-rank` varchar(50),
   `inventory-category` varchar(50),
   `inventory-instruction` varchar(50),
   `inventory-engineering` varchar(50),
   `decision-status` varchar(50),
   `complete-status` varchar(50),
   `result-status` varchar(50),
   `unit-quantity` decimal(15,3),
   `unit-name` varchar(50),
   `total-time-type` varchar(50),
   `total-time` decimal(15,3),
   `total-time-unit` varchar(50),
   `lotsize-data-type` varchar(50),
   `lotsize-standard` decimal(15,3),
   `lotsize-standard-unit` varchar(50),
   `lotsize-min` decimal(15,3),
   `lotsize-min-unit` varchar(50),
   `lotsize-max` decimal(15,3),
   `lotsize-max-unit` varchar(50),
   `lotsize-round` decimal(15,3),
   `lotsize-round-unit` varchar(50),
   `standard-time-type` varchar(50),
   `standard-time` decimal(15,3),
   `standard-time-unit` varchar(50),
   `claim-type` varchar(50),
   `claim-date` datetime,
   `claim-information` varchar(50),
   `standard-price-type` varchar(50),
   `standard-price` decimal(15,3),
   `standard-price-unit` varchar(50),
   `standard-price-time` datetime,
   `standard-cost-type` varchar(50),
   `standard-cost` decimal(15,3),
   `standard-cost-unit` varchar(50),
   `standard-cost-time` datetime,
   `display-name` varchar(50),
   `display-color` varchar(50),
   `display-row` varchar(50),
   `display-column` varchar(50),
   `description` varchar(50),
   `department-name` varchar(50),
   `department-staff` varchar(50),
   `date-create` datetime,
   `date-revise` datetime,
   `date-valid` datetime,
   `date-expire` datetime,
PRIMARY KEY (`_id`) );

CREATE TABLE `QAProcess`(
   `_id` int AUTO_INCREMENT NOT NULL,
   `_parent-element` varchar(50) NOT NULL,
   `quality-id` varchar(50) NOT NULL,
   `quality-class` varchar(50),
   `quality-party-id` varchar(50),
   `quality-plan-id` varchar(50),
   `quality-order-id` varchar(50),
   `quality-item-id` varchar(50),
   `quality-resource-id` varchar(50),
   `quality-process-id` varchar(50),
   `quality-lot-id` varchar(50),
   `quality-task-id` varchar(50),
   `quality-operation-id` varchar(50),
   `parent-id` varchar(50),
   `child-id` varchar(50),
   `child-name` varchar(50),
   `child-item-id` varchar(50),
   `child-resource-id` varchar(50),
   `child-process-id` varchar(50),
   `child-no` decimal(15,3),
   `child-quantity` decimal(15,3),
   `child-quantity-unit` varchar(50),
   `child-description` varchar(50),
   `produce-item-id` varchar(50),
   `produce-resource-id` varchar(50),
   `produce-operation-id` varchar(50),
   `produce-type` varchar(50),
   `produce-name` varchar(50),
   `produce-group` varchar(50),
   `produce-time-plan` datetime,
   `produce-quantity-plan` decimal(15,3),
   `produce-quantity-plan-unit` varchar(50),
   `produce-time` datetime,
   `produce-quantity` decimal(15,3),
   `produce-quantity-unit` varchar(50),
   `produce-rate` decimal(15,3),
   `produce-priority-value` decimal(15,3),
   `produce-priority-category` varchar(50),
   `consume-item-id` varchar(50),
   `consume-resource-id` varchar(50),
   `consume-operation-id` varchar(50),
   `consume-type` varchar(50),
   `consume-name` varchar(50),
   `consume-group` varchar(50),
   `consume-time-plan` datetime,
   `consume-quantity-plan` decimal(15,3),
   `consume-quantity-plan-unit` varchar(50),
   `consume-time` datetime,
   `consume-quantity` decimal(15,3),
   `consume-quantity-unit` varchar(50),
   `consume-rate` decimal(15,3),
   `consume-priority-value` decimal(15,3),
   `consume-priority-category` varchar(50),
   `assign-item-id` varchar(50),
   `assign-resource-id` varchar(50),
   `assign-operation-id` varchar(50),
   `assign-type` varchar(50),
   `assign-name` varchar(50),
   `assign-group` varchar(50),
   `assign-time-plan` datetime,
   `assign-quantity-plan` decimal(15,3),
   `assign-quantity-plan-unit` varchar(50),
   `assign-time` datetime,
   `assign-quantity` decimal(15,3),
   `assign-quantity-unit` varchar(50),
   `assign-dulation` decimal(15,3),
   `assign-dulation-unit` varchar(50),
   `assign-rate` decimal(15,3),
   `assign-priority-value` decimal(15,3),
   `assign-priority-category` varchar(50),
   `operation-step-id` varchar(50),
   `operation-step-type` varchar(50),
   `operation-step-name` varchar(50),
   `operation-step-count` decimal(15,3),
   `operation-step-value` decimal(15,3),
   `operation-step-value-unit` varchar(50),
   `operation-step-description` varchar(50),
   `capability-type` varchar(50),
   `capability-value` decimal(15,3),
   `capability-value-unit` varchar(50),
   `capability-description` varchar(50),
   `quality-name` varchar(50),
   `quality-name-second` varchar(50),
   `quality-rank` varchar(50),
   `quality-category` varchar(50),
   `quality-instruction` varchar(50),
   `quality-engineering` varchar(50),
   `decision-status` varchar(50),
   `complete-status` varchar(50),
   `result-status` varchar(50),
   `unit-quantity` decimal(15,3),
   `unit-name` varchar(50),
   `total-time-type` varchar(50),
   `total-time` decimal(15,3),
   `total-time-unit` varchar(50),
   `lotsize-data-type` varchar(50),
   `lotsize-standard` decimal(15,3),
   `lotsize-standard-unit` varchar(50),
   `lotsize-min` decimal(15,3),
   `lotsize-min-unit` varchar(50),
   `lotsize-max` decimal(15,3),
   `lotsize-max-unit` varchar(50),
   `lotsize-round` decimal(15,3),
   `lotsize-round-unit` varchar(50),
   `standard-time-type` varchar(50),
   `standard-time` decimal(15,3),
   `standard-time-unit` varchar(50),
   `claim-type` varchar(50),
   `claim-date` datetime,
   `claim-information` varchar(50),
   `standard-price-type` varchar(50),
   `standard-price` decimal(15,3),
   `standard-price-unit` varchar(50),
   `standard-price-time` datetime,
   `standard-cost-type` varchar(50),
   `standard-cost` decimal(15,3),
   `standard-cost-unit` varchar(50),
   `standard-cost-time` datetime,
   `display-name` varchar(50),
   `display-color` varchar(50),
   `display-row` varchar(50),
   `display-column` varchar(50),
   `description` varchar(50),
   `department-name` varchar(50),
   `department-staff` varchar(50),
   `date-create` datetime,
   `date-revise` datetime,
   `date-valid` datetime,
   `date-expire` datetime,
PRIMARY KEY (`_id`) );

CREATE TABLE `MaintenanceProcess`(
   `_id` int AUTO_INCREMENT NOT NULL,
   `_parent-element` varchar(50) NOT NULL,
   `maintenance-id` varchar(50) NOT NULL,
   `maintenance-class` varchar(50),
   `maintenance-party-id` varchar(50),
   `maintenance-plan-id` varchar(50),
   `maintenance-order-id` varchar(50),
   `maintenance-item-id` varchar(50),
   `maintenance-resource-id` varchar(50),
   `maintenance-process-id` varchar(50),
   `maintenance-lot-id` varchar(50),
   `maintenance-task-id` varchar(50),
   `maintenance-operation-id` varchar(50),
   `parent-id` varchar(50),
   `child-id` varchar(50),
   `child-name` varchar(50),
   `child-item-id` varchar(50),
   `child-resource-id` varchar(50),
   `child-process-id` varchar(50),
   `child-no` decimal(15,3),
   `child-quantity` decimal(15,3),
   `child-quantity-unit` varchar(50),
   `child-description` varchar(50),
   `produce-item-id` varchar(50),
   `produce-resource-id` varchar(50),
   `produce-operation-id` varchar(50),
   `produce-type` varchar(50),
   `produce-name` varchar(50),
   `produce-group` varchar(50),
   `produce-time-plan` datetime,
   `produce-quantity-plan` decimal(15,3),
   `produce-quantity-plan-unit` varchar(50),
   `produce-time` datetime,
   `produce-quantity` decimal(15,3),
   `produce-quantity-unit` varchar(50),
   `produce-rate` decimal(15,3),
   `produce-priority-value` decimal(15,3),
   `produce-priority-category` varchar(50),
   `consume-item-id` varchar(50),
   `consume-resource-id` varchar(50),
   `consume-operation-id` varchar(50),
   `consume-type` varchar(50),
   `consume-name` varchar(50),
   `consume-group` varchar(50),
   `consume-time-plan` datetime,
   `consume-quantity-plan` decimal(15,3),
   `consume-quantity-plan-unit` varchar(50),
   `consume-time` datetime,
   `consume-quantity` decimal(15,3),
   `consume-quantity-unit` varchar(50),
   `consume-rate` decimal(15,3),
   `consume-priority-value` decimal(15,3),
   `consume-priority-category` varchar(50),
   `assign-item-id` varchar(50),
   `assign-resource-id` varchar(50),
   `assign-operation-id` varchar(50),
   `assign-type` varchar(50),
   `assign-name` varchar(50),
   `assign-group` varchar(50),
   `assign-time-plan` datetime,
   `assign-quantity-plan` decimal(15,3),
   `assign-quantity-plan-unit` varchar(50),
   `assign-time` datetime,
   `assign-quantity` decimal(15,3),
   `assign-quantity-unit` varchar(50),
   `assign-dulation` decimal(15,3),
   `assign-dulation-unit` varchar(50),
   `assign-rate` decimal(15,3),
   `assign-priority-value` decimal(15,3),
   `assign-priority-category` varchar(50),
   `operation-step-id` varchar(50),
   `operation-step-type` varchar(50),
   `operation-step-name` varchar(50),
   `operation-step-count` decimal(15,3),
   `operation-step-value` decimal(15,3),
   `operation-step-value-unit` varchar(50),
   `operation-step-description` varchar(50),
   `capability-type` varchar(50),
   `capability-value` decimal(15,3),
   `capability-value-unit` varchar(50),
   `capability-description` varchar(50),
   `maintenance-name` varchar(50),
   `maintenance-name-second` varchar(50),
   `maintenance-rank` varchar(50),
   `maintenance-category` varchar(50),
   `maintenance-instruction` varchar(50),
   `maintenance-engineering` varchar(50),
   `decision-status` varchar(50),
   `complete-status` varchar(50),
   `result-status` varchar(50),
   `unit-quantity` decimal(15,3),
   `unit-name` varchar(50),
   `total-time-type` varchar(50),
   `total-time` decimal(15,3),
   `total-time-unit` varchar(50),
   `lotsize-data-type` varchar(50),
   `lotsize-standard` decimal(15,3),
   `lotsize-standard-unit` varchar(50),
   `lotsize-min` decimal(15,3),
   `lotsize-min-unit` varchar(50),
   `lotsize-max` decimal(15,3),
   `lotsize-max-unit` varchar(50),
   `lotsize-round` decimal(15,3),
   `lotsize-round-unit` varchar(50),
   `standard-time-type` varchar(50),
   `standard-time` decimal(15,3),
   `standard-time-unit` varchar(50),
   `claim-type` varchar(50),
   `claim-date` datetime,
   `claim-information` varchar(50),
   `standard-price-type` varchar(50),
   `standard-price` decimal(15,3),
   `standard-price-unit` varchar(50),
   `standard-price-time` datetime,
   `standard-cost-type` varchar(50),
   `standard-cost` decimal(15,3),
   `standard-cost-unit` varchar(50),
   `standard-cost-time` datetime,
   `display-name` varchar(50),
   `display-color` varchar(50),
   `display-row` varchar(50),
   `display-column` varchar(50),
   `description` varchar(50),
   `department-name` varchar(50),
   `department-staff` varchar(50),
   `date-create` datetime,
   `date-revise` datetime,
   `date-valid` datetime,
   `date-expire` datetime,
PRIMARY KEY (`_id`) );

CREATE TABLE `MasterCalendar`(
   `_id` int AUTO_INCREMENT NOT NULL,
   `_parent-element` varchar(50) NOT NULL,
   `calendar-id` varchar(50) NOT NULL,
   `calendar-class` varchar(50),
   `calendar-party-id` varchar(50),
   `calendar-plan-id` varchar(50),
   `calendar-order-id` varchar(50),
   `calendar-item-id` varchar(50),
   `calendar-resource-id` varchar(50),
   `calendar-process-id` varchar(50),
   `calendar-lot-id` varchar(50),
   `calendar-task-id` varchar(50),
   `calendar-operation-id` varchar(50),
   `parent-id` varchar(50),
   `child-id` varchar(50),
   `child-name` varchar(50),
   `child-item-id` varchar(50),
   `child-resource-id` varchar(50),
   `child-process-id` varchar(50),
   `child-no` decimal(15,3),
   `child-quantity` decimal(15,3),
   `child-quantity-unit` varchar(50),
   `child-description` varchar(50),
   `counter` decimal(15,3),
   `year` decimal(15,3),
   `month` decimal(15,3),
   `week` decimal(15,3),
   `day` decimal(15,3),
   `shift` decimal(15,3),
   `event-id` varchar(50),
   `event-name` varchar(50),
   `event-type` varchar(50),
   `event-status` varchar(50),
   `event-count` decimal(15,3),
   `event-value` decimal(15,3),
   `event-value-unit` varchar(50),
   `event-time` datetime,
   `event-description` varchar(50),
   `capability-type` varchar(50),
   `capability-value` decimal(15,3),
   `capability-value-unit` varchar(50),
   `capability-description` varchar(50),
   `capacity-item-id` varchar(50),
   `capacity-resource-id` varchar(50),
   `capacity-process-id` varchar(50),
   `capacity-type` varchar(50),
   `capacity-name` varchar(50),
   `capacity-value` decimal(15,3),
   `capacity-value-unit` varchar(50),
   `capacity-time` datetime,
   `capacity-description` varchar(50),
   `calendar-name` varchar(50),
   `calendar-name-second` varchar(50),
   `calendar-item-name` varchar(50),
   `calendar-resource-name` varchar(50),
   `calendar-process-name` varchar(50),
   `calendar-party-name` varchar(50),
   `calendar-rank` varchar(50),
   `calendar-category` varchar(50),
   `decision-status` varchar(50),
   `complete-status` varchar(50),
   `result-status` varchar(50),
   `unit-quantity` decimal(15,3),
   `unit-name` varchar(50),
   `period-start-type` varchar(50),
   `period-start-time` datetime,
   `period-end-type` varchar(50),
   `period-end-time` datetime,
   `display-name` varchar(50),
   `display-color` varchar(50),
   `display-row` varchar(50),
   `display-column` varchar(50),
   `description` varchar(50),
   `department-name` varchar(50),
   `department-staff` varchar(50),
   `date-create` datetime,
   `date-revise` datetime,
   `date-valid` datetime,
   `date-expire` datetime,
PRIMARY KEY (`_id`) );

CREATE TABLE `SalesPlan`(
   `_id` int AUTO_INCREMENT NOT NULL,
   `_parent-element` varchar(50) NOT NULL,
   `sales-id` varchar(50) NOT NULL,
   `sales-class` varchar(50),
   `sales-party-id` varchar(50),
   `sales-plan-id` varchar(50),
   `sales-order-id` varchar(50),
   `sales-item-id` varchar(50),
   `sales-resource-id` varchar(50),
   `sales-process-id` varchar(50),
   `sales-lot-id` varchar(50),
   `sales-task-id` varchar(50),
   `sales-operation-id` varchar(50),
   `parent-id` varchar(50),
   `child-id` varchar(50),
   `child-name` varchar(50),
   `child-item-id` varchar(50),
   `child-resource-id` varchar(50),
   `child-process-id` varchar(50),
   `child-no` decimal(15,3),
   `child-quantity` decimal(15,3),
   `child-quantity-unit` varchar(50),
   `child-description` varchar(50),
   `counter` decimal(15,3),
   `year` decimal(15,3),
   `month` decimal(15,3),
   `week` decimal(15,3),
   `day` decimal(15,3),
   `shift` decimal(15,3),
   `calendar-id` varchar(50),
   `calendar-no` decimal(15,3),
   `calendar-type` varchar(50),
   `calendar-status` varchar(50),
   `calendar-date` datetime,
   `calendar-description` varchar(50),
   `source-id` varchar(50),
   `source-name` varchar(50),
   `source-type` varchar(50),
   `source-address` varchar(50),
   `source-phone-no` varchar(50),
   `source-staff` varchar(50),
   `source-description` varchar(50),
   `destination-id` varchar(50),
   `destination-name` varchar(50),
   `destination-type` varchar(50),
   `destination-address` varchar(50),
   `destination-phone-no` varchar(50),
   `destination-staff` varchar(50),
   `destination-description` varchar(50),
   `sales-name` varchar(50),
   `sales-name-second` varchar(50),
   `sales-item-name` varchar(50),
   `sales-resource-name` varchar(50),
   `sales-process-name` varchar(50),
   `sales-party-name` varchar(50),
   `sales-rank` varchar(50),
   `sales-category` varchar(50),
   `sales-instruction` varchar(50),
   `sales-engineering` varchar(50),
   `decision-status` varchar(50),
   `complete-status` varchar(50),
   `result-status` varchar(50),
   `unit-quantity` decimal(15,3),
   `unit-name` varchar(50),
   `total-time-type` varchar(50),
   `total-time` decimal(15,3),
   `total-time-unit` varchar(50),
   `plan-value-type` varchar(50),
   `plan-value-commit` decimal(15,3),
   `plan-value-commit-unit` varchar(50),
   `plan-value-achieve` decimal(15,3),
   `plan-value-achieve-unit` varchar(50),
   `plan-value-result` decimal(15,3),
   `plan-value-result-unit` varchar(50),
   `plan-value-profit` decimal(15,3),
   `plan-value-profit-unit` varchar(50),
   `plan-value-rate` decimal(15,3),
   `plan-value-agent` varchar(50),
   `plan-value-description` varchar(50),
   `period-start-type` varchar(50),
   `period-start-time` datetime,
   `period-end-type` varchar(50),
   `period-end-time` datetime,
   `display-name` varchar(50),
   `display-color` varchar(50),
   `display-row` varchar(50),
   `display-column` varchar(50),
   `description` varchar(50),
   `department-name` varchar(50),
   `department-staff` varchar(50),
   `date-create` datetime,
   `date-revise` datetime,
   `date-valid` datetime,
   `date-expire` datetime,
PRIMARY KEY (`_id`) );

CREATE TABLE `PurchasePlan`(
   `_id` int AUTO_INCREMENT NOT NULL,
   `_parent-element` varchar(50) NOT NULL,
   `purchase-id` varchar(50) NOT NULL,
   `purchase-class` varchar(50),
   `purchase-party-id` varchar(50),
   `purchase-plan-id` varchar(50),
   `purchase-order-id` varchar(50),
   `purchase-item-id` varchar(50),
   `purchase-resource-id` varchar(50),
   `purchase-process-id` varchar(50),
   `purchase-lot-id` varchar(50),
   `purchase-task-id` varchar(50),
   `purchase-operation-id` varchar(50),
   `parent-id` varchar(50),
   `child-id` varchar(50),
   `child-name` varchar(50),
   `child-item-id` varchar(50),
   `child-resource-id` varchar(50),
   `child-process-id` varchar(50),
   `child-no` decimal(15,3),
   `child-quantity` decimal(15,3),
   `child-quantity-unit` varchar(50),
   `child-description` varchar(50),
   `counter` decimal(15,3),
   `year` decimal(15,3),
   `month` decimal(15,3),
   `week` decimal(15,3),
   `day` decimal(15,3),
   `shift` decimal(15,3),
   `calendar-id` varchar(50),
   `calendar-no` decimal(15,3),
   `calendar-type` varchar(50),
   `calendar-status` varchar(50),
   `calendar-date` datetime,
   `calendar-description` varchar(50),
   `source-id` varchar(50),
   `source-name` varchar(50),
   `source-type` varchar(50),
   `source-address` varchar(50),
   `source-phone-no` varchar(50),
   `source-staff` varchar(50),
   `source-description` varchar(50),
   `destination-id` varchar(50),
   `destination-name` varchar(50),
   `destination-type` varchar(50),
   `destination-address` varchar(50),
   `destination-phone-no` varchar(50),
   `destination-staff` varchar(50),
   `destination-description` varchar(50),
   `purchase-name` varchar(50),
   `purchase-name-second` varchar(50),
   `purchase-item-name` varchar(50),
   `purchase-resource-name` varchar(50),
   `purchase-process-name` varchar(50),
   `purchase-party-name` varchar(50),
   `purchase-rank` varchar(50),
   `purchase-category` varchar(50),
   `purchase-instruction` varchar(50),
   `purchase-engineering` varchar(50),
   `decision-status` varchar(50),
   `complete-status` varchar(50),
   `result-status` varchar(50),
   `unit-quantity` decimal(15,3),
   `unit-name` varchar(50),
   `total-time-type` varchar(50),
   `total-time` decimal(15,3),
   `total-time-unit` varchar(50),
   `plan-value-type` varchar(50),
   `plan-value-commit` decimal(15,3),
   `plan-value-commit-unit` varchar(50),
   `plan-value-achieve` decimal(15,3),
   `plan-value-achieve-unit` varchar(50),
   `plan-value-result` decimal(15,3),
   `plan-value-result-unit` varchar(50),
   `plan-value-profit` decimal(15,3),
   `plan-value-profit-unit` varchar(50),
   `plan-value-rate` decimal(15,3),
   `plan-value-agent` varchar(50),
   `plan-value-description` varchar(50),
   `period-start-type` varchar(50),
   `period-start-time` datetime,
   `period-end-type` varchar(50),
   `period-end-time` datetime,
   `display-name` varchar(50),
   `display-color` varchar(50),
   `display-row` varchar(50),
   `display-column` varchar(50),
   `description` varchar(50),
   `department-name` varchar(50),
   `department-staff` varchar(50),
   `date-create` datetime,
   `date-revise` datetime,
   `date-valid` datetime,
   `date-expire` datetime,
PRIMARY KEY (`_id`) );

CREATE TABLE `ProductionPlan`(
   `_id` int AUTO_INCREMENT NOT NULL,
   `_parent-element` varchar(50) NOT NULL,
   `production-id` varchar(50) NOT NULL,
   `production-class` varchar(50),
   `production-party-id` varchar(50),
   `production-plan-id` varchar(50),
   `production-order-id` varchar(50),
   `production-item-id` varchar(50),
   `production-resource-id` varchar(50),
   `production-process-id` varchar(50),
   `production-lot-id` varchar(50),
   `production-task-id` varchar(50),
   `production-operation-id` varchar(50),
   `parent-id` varchar(50),
   `child-id` varchar(50),
   `child-name` varchar(50),
   `child-item-id` varchar(50),
   `child-resource-id` varchar(50),
   `child-process-id` varchar(50),
   `child-no` decimal(15,3),
   `child-quantity` decimal(15,3),
   `child-quantity-unit` varchar(50),
   `child-description` varchar(50),
   `counter` decimal(15,3),
   `year` decimal(15,3),
   `month` decimal(15,3),
   `week` decimal(15,3),
   `day` decimal(15,3),
   `shift` decimal(15,3),
   `calendar-id` varchar(50),
   `calendar-no` decimal(15,3),
   `calendar-type` varchar(50),
   `calendar-status` varchar(50),
   `calendar-date` datetime,
   `calendar-description` varchar(50),
   `source-id` varchar(50),
   `source-name` varchar(50),
   `source-type` varchar(50),
   `source-address` varchar(50),
   `source-phone-no` varchar(50),
   `source-staff` varchar(50),
   `source-description` varchar(50),
   `destination-id` varchar(50),
   `destination-name` varchar(50),
   `destination-type` varchar(50),
   `destination-address` varchar(50),
   `destination-phone-no` varchar(50),
   `destination-staff` varchar(50),
   `destination-description` varchar(50),
   `production-name` varchar(50),
   `production-name-second` varchar(50),
   `production-item-name` varchar(50),
   `production-resource-name` varchar(50),
   `production-process-name` varchar(50),
   `production-party-name` varchar(50),
   `production-rank` varchar(50),
   `production-category` varchar(50),
   `production-instruction` varchar(50),
   `production-engineering` varchar(50),
   `decision-status` varchar(50),
   `complete-status` varchar(50),
   `result-status` varchar(50),
   `unit-quantity` decimal(15,3),
   `unit-name` varchar(50),
   `total-time-type` varchar(50),
   `total-time` decimal(15,3),
   `total-time-unit` varchar(50),
   `plan-value-type` varchar(50),
   `plan-value-commit` decimal(15,3),
   `plan-value-commit-unit` varchar(50),
   `plan-value-achieve` decimal(15,3),
   `plan-value-achieve-unit` varchar(50),
   `plan-value-result` decimal(15,3),
   `plan-value-result-unit` varchar(50),
   `plan-value-profit` decimal(15,3),
   `plan-value-profit-unit` varchar(50),
   `plan-value-rate` decimal(15,3),
   `plan-value-agent` varchar(50),
   `plan-value-description` varchar(50),
   `period-start-type` varchar(50),
   `period-start-time` datetime,
   `period-end-type` varchar(50),
   `period-end-time` datetime,
   `display-name` varchar(50),
   `display-color` varchar(50),
   `display-row` varchar(50),
   `display-column` varchar(50),
   `description` varchar(50),
   `department-name` varchar(50),
   `department-staff` varchar(50),
   `date-create` datetime,
   `date-revise` datetime,
   `date-valid` datetime,
   `date-expire` datetime,
PRIMARY KEY (`_id`) );

CREATE TABLE `SalesOrder`(
   `_id` int AUTO_INCREMENT NOT NULL,
   `_parent-element` varchar(50) NOT NULL,
   `sales-id` varchar(50) NOT NULL,
   `sales-class` varchar(50),
   `sales-party-id` varchar(50),
   `sales-plan-id` varchar(50),
   `sales-order-id` varchar(50),
   `sales-item-id` varchar(50),
   `sales-resource-id` varchar(50),
   `sales-process-id` varchar(50),
   `sales-lot-id` varchar(50),
   `sales-task-id` varchar(50),
   `sales-operation-id` varchar(50),
   `parent-id` varchar(50),
   `child-id` varchar(50),
   `child-name` varchar(50),
   `child-item-id` varchar(50),
   `child-resource-id` varchar(50),
   `child-process-id` varchar(50),
   `child-no` decimal(15,3),
   `child-quantity` decimal(15,3),
   `child-quantity-unit` varchar(50),
   `child-description` varchar(50),
   `counter` decimal(15,3),
   `year` decimal(15,3),
   `month` decimal(15,3),
   `week` decimal(15,3),
   `day` decimal(15,3),
   `shift` decimal(15,3),
   `destination-id` varchar(50),
   `destination-name` varchar(50),
   `destination-type` varchar(50),
   `destination-address` varchar(50),
   `destination-phone-no` varchar(50),
   `destination-staff` varchar(50),
   `destination-description` varchar(50),
   `delivery-method` varchar(50),
   `delivery-type` varchar(50),
   `delivery-quantity` decimal(15,3),
   `delivery-quantity-unit` varchar(50),
   `delivery-form` varchar(50),
   `delivery-party` varchar(50),
   `delivery-location` varchar(50),
   `progress-time` datetime,
   `progress-type` varchar(50),
   `progress-value` decimal(15,3),
   `progress-value-unit` varchar(50),
   `progress-status` varchar(50),
   `sales-name` varchar(50),
   `sales-name-second` varchar(50),
   `sales-item-name` varchar(50),
   `sales-resource-name` varchar(50),
   `sales-process-name` varchar(50),
   `sales-party-name` varchar(50),
   `sales-rank` varchar(50),
   `sales-category` varchar(50),
   `sales-instruction` varchar(50),
   `sales-engineering` varchar(50),
   `decision-status` varchar(50),
   `complete-status` varchar(50),
   `result-status` varchar(50),
   `unit-quantity` decimal(15,3),
   `unit-name` varchar(50),
   `lotsize-data-type` varchar(50),
   `lotsize-standard` decimal(15,3),
   `lotsize-standard-unit` varchar(50),
   `lotsize-min` decimal(15,3),
   `lotsize-min-unit` varchar(50),
   `lotsize-max` decimal(15,3),
   `lotsize-max-unit` varchar(50),
   `lotsize-round` decimal(15,3),
   `lotsize-round-unit` varchar(50),
   `quantity-plan-type` varchar(50),
   `quantity-plan` decimal(15,3),
   `quantity-plan-unit` varchar(50),
   `quantity-firm-type` varchar(50),
   `quantity-firm` decimal(15,3),
   `quantity-firm-unit` varchar(50),
   `quantity-result-type` varchar(50),
   `quantity-result` decimal(15,3),
   `quantity-result-unit` varchar(50),
   `order-confirm-type` varchar(50),
   `order-confirm-time` datetime,
   `order-confirm-description` varchar(50),
   `start-time-type` varchar(50),
   `start-time-required` datetime,
   `start-time-schedule` datetime,
   `start-time-record` datetime,
   `end-time-type` varchar(50),
   `end-time-required` datetime,
   `end-time-schedule` datetime,
   `end-time-record` datetime,
   `release-time-type` varchar(50),
   `release-time-required` datetime,
   `release-time-schedule` datetime,
   `release-time-record` datetime,
   `due-time-type` varchar(50),
   `due-time-required` datetime,
   `due-time-schedule` datetime,
   `due-time-record` datetime,
   `unit-price-type` varchar(50),
   `unit-price` decimal(15,3),
   `unit-price-unit` varchar(50),
   `price-tax` decimal(15,3),
   `price-tax-unit` varchar(50),
   `price-discount` decimal(15,3),
   `price-discount-unit` varchar(50),
   `price-amount` decimal(15,3),
   `price-amount-unit` varchar(50),
   `priority-type` varchar(50),
   `priority-status` varchar(50),
   `priority-value` decimal(15,3),
   `display-name` varchar(50),
   `display-color` varchar(50),
   `display-row` varchar(50),
   `display-column` varchar(50),
   `description` varchar(50),
   `department-name` varchar(50),
   `department-staff` varchar(50),
   `date-create` datetime,
   `date-revise` datetime,
   `date-valid` datetime,
   `date-expire` datetime,
PRIMARY KEY (`_id`) );

CREATE TABLE `PurchaseOrder`(
   `_id` int AUTO_INCREMENT NOT NULL,
   `_parent-element` varchar(50) NOT NULL,
   `purchase-id` varchar(50) NOT NULL,
   `purchase-class` varchar(50),
   `purchase-party-id` varchar(50),
   `purchase-plan-id` varchar(50),
   `purchase-order-id` varchar(50),
   `purchase-item-id` varchar(50),
   `purchase-resource-id` varchar(50),
   `purchase-process-id` varchar(50),
   `purchase-lot-id` varchar(50),
   `purchase-task-id` varchar(50),
   `purchase-operation-id` varchar(50),
   `parent-id` varchar(50),
   `child-id` varchar(50),
   `child-name` varchar(50),
   `child-item-id` varchar(50),
   `child-resource-id` varchar(50),
   `child-process-id` varchar(50),
   `child-no` decimal(15,3),
   `child-quantity` decimal(15,3),
   `child-quantity-unit` varchar(50),
   `child-description` varchar(50),
   `counter` decimal(15,3),
   `year` decimal(15,3),
   `month` decimal(15,3),
   `week` decimal(15,3),
   `day` decimal(15,3),
   `shift` decimal(15,3),
   `pegging-order-id` varchar(50),
   `pegging-type` varchar(50),
   `pegging-quantity-plan` decimal(15,3),
   `pegging-quantity-plan-unit` varchar(50),
   `pegging-quantity` decimal(15,3),
   `pegging-quantity-unit` varchar(50),
   `source-id` varchar(50),
   `source-name` varchar(50),
   `source-type` varchar(50),
   `source-address` varchar(50),
   `source-phone-no` varchar(50),
   `source-staff` varchar(50),
   `source-description` varchar(50),
   `delivery-method` varchar(50),
   `delivery-type` varchar(50),
   `delivery-quantity` decimal(15,3),
   `delivery-quantity-unit` varchar(50),
   `delivery-form` varchar(50),
   `delivery-party` varchar(50),
   `delivery-location` varchar(50),
   `progress-time` datetime,
   `progress-type` varchar(50),
   `progress-value` decimal(15,3),
   `progress-value-unit` varchar(50),
   `progress-status` varchar(50),
   `purchase-name` varchar(50),
   `purchase-name-second` varchar(50),
   `purchase-item-name` varchar(50),
   `purchase-resource-name` varchar(50),
   `purchase-process-name` varchar(50),
   `purchase-party-name` varchar(50),
   `purchase-rank` varchar(50),
   `purchase-category` varchar(50),
   `purchase-instruction` varchar(50),
   `purchase-engineering` varchar(50),
   `decision-status` varchar(50),
   `complete-status` varchar(50),
   `result-status` varchar(50),
   `unit-quantity` decimal(15,3),
   `unit-name` varchar(50),
   `lotsize-data-type` varchar(50),
   `lotsize-standard` decimal(15,3),
   `lotsize-standard-unit` varchar(50),
   `lotsize-min` decimal(15,3),
   `lotsize-min-unit` varchar(50),
   `lotsize-max` decimal(15,3),
   `lotsize-max-unit` varchar(50),
   `lotsize-round` decimal(15,3),
   `lotsize-round-unit` varchar(50),
   `quantity-plan-type` varchar(50),
   `quantity-plan` decimal(15,3),
   `quantity-plan-unit` varchar(50),
   `quantity-firm-type` varchar(50),
   `quantity-firm` decimal(15,3),
   `quantity-firm-unit` varchar(50),
   `quantity-result-type` varchar(50),
   `quantity-result` decimal(15,3),
   `quantity-result-unit` varchar(50),
   `order-confirm-type` varchar(50),
   `order-confirm-time` datetime,
   `order-confirm-description` varchar(50),
   `start-time-type` varchar(50),
   `start-time-required` datetime,
   `start-time-schedule` datetime,
   `start-time-record` datetime,
   `end-time-type` varchar(50),
   `end-time-required` datetime,
   `end-time-schedule` datetime,
   `end-time-record` datetime,
   `release-time-type` varchar(50),
   `release-time-required` datetime,
   `release-time-schedule` datetime,
   `release-time-record` datetime,
   `due-time-type` varchar(50),
   `due-time-required` datetime,
   `due-time-schedule` datetime,
   `due-time-record` datetime,
   `unit-price-type` varchar(50),
   `unit-price` decimal(15,3),
   `unit-price-unit` varchar(50),
   `price-tax` decimal(15,3),
   `price-tax-unit` varchar(50),
   `price-discount` decimal(15,3),
   `price-discount-unit` varchar(50),
   `price-amount` decimal(15,3),
   `price-amount-unit` varchar(50),
   `priority-type` varchar(50),
   `priority-status` varchar(50),
   `priority-value` decimal(15,3),
   `display-name` varchar(50),
   `display-color` varchar(50),
   `display-row` varchar(50),
   `display-column` varchar(50),
   `description` varchar(50),
   `department-name` varchar(50),
   `department-staff` varchar(50),
   `date-create` datetime,
   `date-revise` datetime,
   `date-valid` datetime,
   `date-expire` datetime,
PRIMARY KEY (`_id`) );

CREATE TABLE `ProductionOrder`(
   `_id` int AUTO_INCREMENT NOT NULL,
   `_parent-element` varchar(50) NOT NULL,
   `production-id` varchar(50) NOT NULL,
   `production-class` varchar(50),
   `production-party-id` varchar(50),
   `production-plan-id` varchar(50),
   `production-order-id` varchar(50),
   `production-item-id` varchar(50),
   `production-resource-id` varchar(50),
   `production-process-id` varchar(50),
   `production-lot-id` varchar(50),
   `production-task-id` varchar(50),
   `production-operation-id` varchar(50),
   `parent-id` varchar(50),
   `child-id` varchar(50),
   `child-name` varchar(50),
   `child-item-id` varchar(50),
   `child-resource-id` varchar(50),
   `child-process-id` varchar(50),
   `child-no` decimal(15,3),
   `child-quantity` decimal(15,3),
   `child-quantity-unit` varchar(50),
   `child-description` varchar(50),
   `counter` decimal(15,3),
   `year` decimal(15,3),
   `month` decimal(15,3),
   `week` decimal(15,3),
   `day` decimal(15,3),
   `shift` decimal(15,3),
   `production-site-id` varchar(50),
   `production-area-id` varchar(50),
   `production-workcenter-id` varchar(50),
   `production-department-id` varchar(50),
   `pegging-order-id` varchar(50),
   `pegging-type` varchar(50),
   `pegging-quantity-plan` decimal(15,3),
   `pegging-quantity-plan-unit` varchar(50),
   `pegging-quantity` decimal(15,3),
   `pegging-quantity-unit` varchar(50),
   `source-id` varchar(50),
   `source-name` varchar(50),
   `source-type` varchar(50),
   `source-address` varchar(50),
   `source-phone-no` varchar(50),
   `source-staff` varchar(50),
   `source-description` varchar(50),
   `destination-id` varchar(50),
   `destination-name` varchar(50),
   `destination-type` varchar(50),
   `destination-address` varchar(50),
   `destination-phone-no` varchar(50),
   `destination-staff` varchar(50),
   `destination-description` varchar(50),
   `delivery-method` varchar(50),
   `delivery-type` varchar(50),
   `delivery-quantity` decimal(15,3),
   `delivery-quantity-unit` varchar(50),
   `delivery-form` varchar(50),
   `delivery-party` varchar(50),
   `delivery-location` varchar(50),
   `progress-time` datetime,
   `progress-type` varchar(50),
   `progress-value` decimal(15,3),
   `progress-value-unit` varchar(50),
   `progress-status` varchar(50),
   `production-name` varchar(50),
   `production-name-second` varchar(50),
   `production-item-name` varchar(50),
   `production-resource-name` varchar(50),
   `production-process-name` varchar(50),
   `production-party-name` varchar(50),
   `production-rank` varchar(50),
   `production-category` varchar(50),
   `production-instruction` varchar(50),
   `production-engineering` varchar(50),
   `decision-status` varchar(50),
   `complete-status` varchar(50),
   `result-status` varchar(50),
   `unit-quantity` decimal(15,3),
   `unit-name` varchar(50),
   `lotsize-data-type` varchar(50),
   `lotsize-standard` decimal(15,3),
   `lotsize-standard-unit` varchar(50),
   `lotsize-min` decimal(15,3),
   `lotsize-min-unit` varchar(50),
   `lotsize-max` decimal(15,3),
   `lotsize-max-unit` varchar(50),
   `lotsize-round` decimal(15,3),
   `lotsize-round-unit` varchar(50),
   `quantity-plan-type` varchar(50),
   `quantity-plan` decimal(15,3),
   `quantity-plan-unit` varchar(50),
   `quantity-firm-type` varchar(50),
   `quantity-firm` decimal(15,3),
   `quantity-firm-unit` varchar(50),
   `quantity-result-type` varchar(50),
   `quantity-result` decimal(15,3),
   `quantity-result-unit` varchar(50),
   `start-time-type` varchar(50),
   `start-time-required` datetime,
   `start-time-schedule` datetime,
   `start-time-record` datetime,
   `end-time-type` varchar(50),
   `end-time-required` datetime,
   `end-time-schedule` datetime,
   `end-time-record` datetime,
   `release-time-type` varchar(50),
   `release-time-required` datetime,
   `release-time-schedule` datetime,
   `release-time-record` datetime,
   `due-time-type` varchar(50),
   `due-time-required` datetime,
   `due-time-schedule` datetime,
   `due-time-record` datetime,
   `unit-price-type` varchar(50),
   `unit-price` decimal(15,3),
   `unit-price-unit` varchar(50),
   `price-tax` decimal(15,3),
   `price-tax-unit` varchar(50),
   `price-discount` decimal(15,3),
   `price-discount-unit` varchar(50),
   `price-amount` decimal(15,3),
   `price-amount-unit` varchar(50),
   `priority-type` varchar(50),
   `priority-status` varchar(50),
   `priority-value` decimal(15,3),
   `display-name` varchar(50),
   `display-color` varchar(50),
   `display-row` varchar(50),
   `display-column` varchar(50),
   `description` varchar(50),
   `department-name` varchar(50),
   `department-staff` varchar(50),
   `date-create` datetime,
   `date-revise` datetime,
   `date-valid` datetime,
   `date-expire` datetime,
PRIMARY KEY (`_id`) );

CREATE TABLE `Operation`(
   `_id` int AUTO_INCREMENT NOT NULL,
   `_parent-element` varchar(50) NOT NULL,
   `operation-id` varchar(50) NOT NULL,
   `operation-class` varchar(50),
   `operation-party-id` varchar(50),
   `operation-plan-id` varchar(50),
   `operation-order-id` varchar(50),
   `operation-item-id` varchar(50),
   `operation-resource-id` varchar(50),
   `operation-process-id` varchar(50),
   `operation-lot-id` varchar(50),
   `operation-task-id` varchar(50),
   `operation-operation-id` varchar(50),
   `parent-id` varchar(50),
   `child-id` varchar(50),
   `child-name` varchar(50),
   `child-item-id` varchar(50),
   `child-resource-id` varchar(50),
   `child-process-id` varchar(50),
   `child-no` decimal(15,3),
   `child-quantity` decimal(15,3),
   `child-quantity-unit` varchar(50),
   `child-description` varchar(50),
   `produce-item-id` varchar(50),
   `produce-resource-id` varchar(50),
   `produce-operation-id` varchar(50),
   `produce-type` varchar(50),
   `produce-name` varchar(50),
   `produce-group` varchar(50),
   `produce-time-plan` datetime,
   `produce-quantity-plan` decimal(15,3),
   `produce-quantity-plan-unit` varchar(50),
   `produce-time` datetime,
   `produce-quantity` decimal(15,3),
   `produce-quantity-unit` varchar(50),
   `produce-rate` decimal(15,3),
   `produce-priority-value` decimal(15,3),
   `produce-priority-category` varchar(50),
   `produce-lot-id` varchar(50),
   `produce-lot-type` varchar(50),
   `produce-lot-time-plan` datetime,
   `produce-lot-quanitity-plan` decimal(15,3),
   `produce-lot-quanitity-plan-unit` varchar(50),
   `produce-lot-time` datetime,
   `produce-lot-quanitity` decimal(15,3),
   `produce-lot-quanitity-unit` varchar(50),
   `consume-item-id` varchar(50),
   `consume-resource-id` varchar(50),
   `consume-operation-id` varchar(50),
   `consume-type` varchar(50),
   `consume-name` varchar(50),
   `consume-group` varchar(50),
   `consume-time-plan` datetime,
   `consume-quantity-plan` decimal(15,3),
   `consume-quantity-plan-unit` varchar(50),
   `consume-time` datetime,
   `consume-quantity` decimal(15,3),
   `consume-quantity-unit` varchar(50),
   `consume-rate` decimal(15,3),
   `consume-priority-value` decimal(15,3),
   `consume-priority-category` varchar(50),
   `consume-lot-id` varchar(50),
   `consume-lot-type` varchar(50),
   `consume-lot-time-plan` datetime,
   `consume-lot-quanitity-plan` decimal(15,3),
   `consume-lot-quanitity-plan-unit` varchar(50),
   `consume-lot-time` datetime,
   `consume-lot-quanitity` decimal(15,3),
   `consume-lot-quanitity-unit` varchar(50),
   `assign-item-id` varchar(50),
   `assign-resource-id` varchar(50),
   `assign-operation-id` varchar(50),
   `assign-type` varchar(50),
   `assign-name` varchar(50),
   `assign-group` varchar(50),
   `assign-time-plan` datetime,
   `assign-quantity-plan` decimal(15,3),
   `assign-quantity-plan-unit` varchar(50),
   `assign-time` datetime,
   `assign-quantity` decimal(15,3),
   `assign-quantity-unit` varchar(50),
   `assign-dulation` decimal(15,3),
   `assign-dulation-unit` varchar(50),
   `assign-rate` decimal(15,3),
   `assign-priority-value` decimal(15,3),
   `assign-priority-category` varchar(50),
   `assign-region-id` varchar(50),
   `assign-region-type` varchar(50),
   `assign-region-time-plan` datetime,
   `assign-region-volume-plan` decimal(15,3),
   `assign-region-volume-plan-unit` varchar(50),
   `assign-region-time` datetime,
   `assign-region-volume` decimal(15,3),
   `assign-region-volume-unit` varchar(50),
   `assign-task-id` varchar(50),
   `assign-task-type` varchar(50),
   `assign-task-time-plan` datetime,
   `assign-task-volume-plan` decimal(15,3),
   `assign-task-volume-plan-unit` varchar(50),
   `assign-task-time` datetime,
   `assign-task-volume` decimal(15,3),
   `assign-task-volume-unit` varchar(50),
   `pegging-order-id` varchar(50),
   `pegging-type` varchar(50),
   `pegging-quantity-plan` decimal(15,3),
   `pegging-quantity-plan-unit` varchar(50),
   `pegging-quantity` decimal(15,3),
   `pegging-quantity-unit` varchar(50),
   `predecessor-id` varchar(50),
   `predecessor-name` varchar(50),
   `predecessor-type` varchar(50),
   `predecessor-group` varchar(50),
   `predecessor-time` decimal(15,3),
   `predecessor-time-unit` varchar(50),
   `successor-id` varchar(50),
   `successor-name` varchar(50),
   `successor-type` varchar(50),
   `successor-group` varchar(50),
   `successor-time` decimal(15,3),
   `successor-time-unit` varchar(50),
   `recipe-id` varchar(50),
   `recipe-name` varchar(50),
   `recipe-type` varchar(50),
   `recipe-status` varchar(50),
   `recipe-count` decimal(15,3),
   `recipe-value` decimal(15,3),
   `recipe-vaue-unit` varchar(50),
   `recipe-time` datetime,
   `recipe-description` varchar(50),
   `location-id` varchar(50),
   `location-name` varchar(50),
   `location-type` varchar(50),
   `location-region` varchar(50),
   `location-method` varchar(50),
   `location-time` datetime,
   `transfer-id` varchar(50),
   `transfer-name` varchar(50),
   `transfer-type` varchar(50),
   `transfer-region` varchar(50),
   `transfer-method` varchar(50),
   `transfer-time` datetime,
   `progress-time` datetime,
   `progress-type` varchar(50),
   `progress-value` decimal(15,3),
   `progress-value-unit` varchar(50),
   `progress-status` varchar(50),
   `operation-name` varchar(50),
   `operation-name-second` varchar(50),
   `operation-rank` varchar(50),
   `operation-category` varchar(50),
   `operation-instruction` varchar(50),
   `operation-engineering` varchar(50),
   `decision-status` varchar(50),
   `complete-status` varchar(50),
   `result-status` varchar(50),
   `unit-quantity` decimal(15,3),
   `unit-name` varchar(50),
   `quantity-plan-type` varchar(50),
   `quantity-plan` decimal(15,3),
   `quantity-plan-unit` varchar(50),
   `quantity-firm-type` varchar(50),
   `quantity-firm` decimal(15,3),
   `quantity-firm-unit` varchar(50),
   `quantity-result-type` varchar(50),
   `quantity-result` decimal(15,3),
   `quantity-result-unit` varchar(50),
   `start-time-type` varchar(50),
   `start-time-required` datetime,
   `start-time-schedule` datetime,
   `start-time-record` datetime,
   `end-time-type` varchar(50),
   `end-time-required` datetime,
   `end-time-schedule` datetime,
   `end-time-record` datetime,
   `release-time-type` varchar(50),
   `release-time-required` datetime,
   `release-time-schedule` datetime,
   `release-time-record` datetime,
   `due-time-type` varchar(50),
   `due-time-required` datetime,
   `due-time-schedule` datetime,
   `due-time-record` datetime,
   `execution-time-type` varchar(50),
   `execution-time-required` datetime,
   `execution-time-schedule` datetime,
   `execution-time-record` datetime,
   `priority-type` varchar(50),
   `priority-status` varchar(50),
   `priority-value` decimal(15,3),
   `display-name` varchar(50),
   `display-color` varchar(50),
   `display-row` varchar(50),
   `display-column` varchar(50),
   `description` varchar(50),
   `department-name` varchar(50),
   `department-staff` varchar(50),
   `date-create` datetime,
   `date-revise` datetime,
   `date-valid` datetime,
   `date-expire` datetime,
PRIMARY KEY (`_id`) );

CREATE TABLE `Lot`(
   `_id` int AUTO_INCREMENT NOT NULL,
   `_parent-element` varchar(50) NOT NULL,
   `lot-id` varchar(50) NOT NULL,
   `lot-class` varchar(50),
   `lot-party-id` varchar(50),
   `lot-plan-id` varchar(50),
   `lot-order-id` varchar(50),
   `lot-item-id` varchar(50),
   `lot-resource-id` varchar(50),
   `lot-process-id` varchar(50),
   `lot-lot-id` varchar(50),
   `lot-task-id` varchar(50),
   `lot-operation-id` varchar(50),
   `parent-id` varchar(50),
   `child-id` varchar(50),
   `child-name` varchar(50),
   `child-item-id` varchar(50),
   `child-resource-id` varchar(50),
   `child-process-id` varchar(50),
   `child-no` decimal(15,3),
   `child-quantity` decimal(15,3),
   `child-quantity-unit` varchar(50),
   `child-description` varchar(50),
   `produce-item-id` varchar(50),
   `produce-resource-id` varchar(50),
   `produce-operation-id` varchar(50),
   `produce-type` varchar(50),
   `produce-name` varchar(50),
   `produce-group` varchar(50),
   `produce-time-plan` datetime,
   `produce-quantity-plan` decimal(15,3),
   `produce-quantity-plan-unit` varchar(50),
   `produce-time` datetime,
   `produce-quantity` decimal(15,3),
   `produce-quantity-unit` varchar(50),
   `produce-rate` decimal(15,3),
   `produce-priority-value` decimal(15,3),
   `produce-priority-category` varchar(50),
   `consume-item-id` varchar(50),
   `consume-resource-id` varchar(50),
   `consume-operation-id` varchar(50),
   `consume-type` varchar(50),
   `consume-name` varchar(50),
   `consume-group` varchar(50),
   `consume-time-plan` datetime,
   `consume-quantity-plan` decimal(15,3),
   `consume-quantity-plan-unit` varchar(50),
   `consume-time` datetime,
   `consume-quantity` decimal(15,3),
   `consume-quantity-unit` varchar(50),
   `consume-rate` decimal(15,3),
   `consume-priority-value` decimal(15,3),
   `consume-priority-category` varchar(50),
   `pegging-order-id` varchar(50),
   `pegging-type` varchar(50),
   `pegging-quantity-plan` decimal(15,3),
   `pegging-quantity-plan-unit` varchar(50),
   `pegging-quantity` decimal(15,3),
   `pegging-quantity-unit` varchar(50),
   `recipe-id` varchar(50),
   `recipe-name` varchar(50),
   `recipe-type` varchar(50),
   `recipe-status` varchar(50),
   `recipe-count` decimal(15,3),
   `recipe-value` decimal(15,3),
   `recipe-vaue-unit` varchar(50),
   `recipe-time` datetime,
   `recipe-description` varchar(50),
   `event-id` varchar(50),
   `event-name` varchar(50),
   `event-type` varchar(50),
   `event-status` varchar(50),
   `event-count` decimal(15,3),
   `event-value` decimal(15,3),
   `event-value-unit` varchar(50),
   `event-time` datetime,
   `event-description` varchar(50),
   `location-id` varchar(50),
   `location-name` varchar(50),
   `location-type` varchar(50),
   `location-region` varchar(50),
   `location-method` varchar(50),
   `location-time` datetime,
   `transfer-id` varchar(50),
   `transfer-name` varchar(50),
   `transfer-type` varchar(50),
   `transfer-region` varchar(50),
   `transfer-method` varchar(50),
   `transfer-time` datetime,
   `progress-time` datetime,
   `progress-type` varchar(50),
   `progress-value` decimal(15,3),
   `progress-value-unit` varchar(50),
   `progress-status` varchar(50),
   `lot-name` varchar(50),
   `lot-name-second` varchar(50),
   `lot-rank` varchar(50),
   `lot-category` varchar(50),
   `lot-instruction` varchar(50),
   `lot-engineering` varchar(50),
   `decision-status` varchar(50),
   `complete-status` varchar(50),
   `result-status` varchar(50),
   `unit-quantity` decimal(15,3),
   `unit-name` varchar(50),
   `quantity-plan-type` varchar(50),
   `quantity-plan` decimal(15,3),
   `quantity-plan-unit` varchar(50),
   `quantity-firm-type` varchar(50),
   `quantity-firm` decimal(15,3),
   `quantity-firm-unit` varchar(50),
   `quantity-result-type` varchar(50),
   `quantity-result` decimal(15,3),
   `quantity-result-unit` varchar(50),
   `start-time-type` varchar(50),
   `start-time-required` datetime,
   `start-time-schedule` datetime,
   `start-time-record` datetime,
   `end-time-type` varchar(50),
   `end-time-required` datetime,
   `end-time-schedule` datetime,
   `end-time-record` datetime,
   `release-time-type` varchar(50),
   `release-time-required` datetime,
   `release-time-schedule` datetime,
   `release-time-record` datetime,
   `due-time-type` varchar(50),
   `due-time-required` datetime,
   `due-time-schedule` datetime,
   `due-time-record` datetime,
   `priority-type` varchar(50),
   `priority-status` varchar(50),
   `priority-value` decimal(15,3),
   `display-name` varchar(50),
   `display-color` varchar(50),
   `display-row` varchar(50),
   `display-column` varchar(50),
   `description` varchar(50),
   `department-name` varchar(50),
   `department-staff` varchar(50),
   `date-create` datetime,
   `date-revise` datetime,
   `date-valid` datetime,
   `date-expire` datetime,
PRIMARY KEY (`_id`) );

CREATE TABLE `Task`(
   `_id` int AUTO_INCREMENT NOT NULL,
   `_parent-element` varchar(50) NOT NULL,
   `task-id` varchar(50) NOT NULL,
   `task-class` varchar(50),
   `task-party-id` varchar(50),
   `task-plan-id` varchar(50),
   `task-order-id` varchar(50),
   `task-item-id` varchar(50),
   `task-resource-id` varchar(50),
   `task-process-id` varchar(50),
   `task-lot-id` varchar(50),
   `task-task-id` varchar(50),
   `task-operation-id` varchar(50),
   `parent-id` varchar(50),
   `child-id` varchar(50),
   `child-name` varchar(50),
   `child-item-id` varchar(50),
   `child-resource-id` varchar(50),
   `child-process-id` varchar(50),
   `child-no` decimal(15,3),
   `child-quantity` decimal(15,3),
   `child-quantity-unit` varchar(50),
   `child-description` varchar(50),
   `assign-item-id` varchar(50),
   `assign-resource-id` varchar(50),
   `assign-operation-id` varchar(50),
   `assign-type` varchar(50),
   `assign-name` varchar(50),
   `assign-group` varchar(50),
   `assign-time-plan` datetime,
   `assign-quantity-plan` decimal(15,3),
   `assign-quantity-plan-unit` varchar(50),
   `assign-time` datetime,
   `assign-quantity` decimal(15,3),
   `assign-quantity-unit` varchar(50),
   `assign-dulation` decimal(15,3),
   `assign-dulation-unit` varchar(50),
   `assign-rate` decimal(15,3),
   `assign-priority-value` decimal(15,3),
   `assign-priority-category` varchar(50),
   `pegging-order-id` varchar(50),
   `pegging-type` varchar(50),
   `pegging-quantity-plan` decimal(15,3),
   `pegging-quantity-plan-unit` varchar(50),
   `pegging-quantity` decimal(15,3),
   `pegging-quantity-unit` varchar(50),
   `recipe-id` varchar(50),
   `recipe-name` varchar(50),
   `recipe-type` varchar(50),
   `recipe-status` varchar(50),
   `recipe-count` decimal(15,3),
   `recipe-value` decimal(15,3),
   `recipe-vaue-unit` varchar(50),
   `recipe-time` datetime,
   `recipe-description` varchar(50),
   `event-id` varchar(50),
   `event-name` varchar(50),
   `event-type` varchar(50),
   `event-status` varchar(50),
   `event-count` decimal(15,3),
   `event-value` decimal(15,3),
   `event-value-unit` varchar(50),
   `event-time` datetime,
   `event-description` varchar(50),
   `location-id` varchar(50),
   `location-name` varchar(50),
   `location-type` varchar(50),
   `location-region` varchar(50),
   `location-method` varchar(50),
   `location-time` datetime,
   `transfer-id` varchar(50),
   `transfer-name` varchar(50),
   `transfer-type` varchar(50),
   `transfer-region` varchar(50),
   `transfer-method` varchar(50),
   `transfer-time` datetime,
   `progress-time` datetime,
   `progress-type` varchar(50),
   `progress-value` decimal(15,3),
   `progress-value-unit` varchar(50),
   `progress-status` varchar(50),
   `task-name` varchar(50),
   `task-name-second` varchar(50),
   `task-rank` varchar(50),
   `task-category` varchar(50),
   `task-instruction` varchar(50),
   `task-engineering` varchar(50),
   `decision-status` varchar(50),
   `complete-status` varchar(50),
   `result-status` varchar(50),
   `unit-quantity` decimal(15,3),
   `unit-name` varchar(50),
   `total-time-type` varchar(50),
   `total-time` decimal(15,3),
   `total-time-unit` varchar(50),
   `quantity-plan-type` varchar(50),
   `quantity-plan` decimal(15,3),
   `quantity-plan-unit` varchar(50),
   `quantity-firm-type` varchar(50),
   `quantity-firm` decimal(15,3),
   `quantity-firm-unit` varchar(50),
   `quantity-result-type` varchar(50),
   `quantity-result` decimal(15,3),
   `quantity-result-unit` varchar(50),
   `start-time-type` varchar(50),
   `start-time-required` datetime,
   `start-time-schedule` datetime,
   `start-time-record` datetime,
   `end-time-type` varchar(50),
   `end-time-required` datetime,
   `end-time-schedule` datetime,
   `end-time-record` datetime,
   `release-time-type` varchar(50),
   `release-time-required` datetime,
   `release-time-schedule` datetime,
   `release-time-record` datetime,
   `due-time-type` varchar(50),
   `due-time-required` datetime,
   `due-time-schedule` datetime,
   `due-time-record` datetime,
   `priority-type` varchar(50),
   `priority-status` varchar(50),
   `priority-value` decimal(15,3),
   `display-name` varchar(50),
   `display-color` varchar(50),
   `display-row` varchar(50),
   `display-column` varchar(50),
   `description` varchar(50),
   `department-name` varchar(50),
   `department-staff` varchar(50),
   `date-create` datetime,
   `date-revise` datetime,
   `date-valid` datetime,
   `date-expire` datetime,
PRIMARY KEY (`_id`) );

CREATE TABLE `EquipmentState`(
   `_id` int AUTO_INCREMENT NOT NULL,
   `_parent-element` varchar(50) NOT NULL,
   `equipment-id` varchar(50) NOT NULL,
   `equipment-class` varchar(50),
   `equipment-party-id` varchar(50),
   `equipment-plan-id` varchar(50),
   `equipment-order-id` varchar(50),
   `equipment-item-id` varchar(50),
   `equipment-resource-id` varchar(50),
   `equipment-process-id` varchar(50),
   `equipment-lot-id` varchar(50),
   `equipment-task-id` varchar(50),
   `equipment-operation-id` varchar(50),
   `parent-id` varchar(50),
   `child-id` varchar(50),
   `child-name` varchar(50),
   `child-item-id` varchar(50),
   `child-resource-id` varchar(50),
   `child-process-id` varchar(50),
   `child-no` decimal(15,3),
   `child-quantity` decimal(15,3),
   `child-quantity-unit` varchar(50),
   `child-description` varchar(50),
   `recipe-id` varchar(50),
   `recipe-name` varchar(50),
   `recipe-type` varchar(50),
   `recipe-status` varchar(50),
   `recipe-count` decimal(15,3),
   `recipe-value` decimal(15,3),
   `recipe-vaue-unit` varchar(50),
   `recipe-time` datetime,
   `recipe-description` varchar(50),
   `event-id` varchar(50),
   `event-name` varchar(50),
   `event-type` varchar(50),
   `event-status` varchar(50),
   `event-count` decimal(15,3),
   `event-value` decimal(15,3),
   `event-value-unit` varchar(50),
   `event-time` datetime,
   `event-description` varchar(50),
   `monitoring-id` varchar(50),
   `monitoring-name` varchar(50),
   `monitoring-type` varchar(50),
   `monitoring-status` varchar(50),
   `monitoring-count` decimal(15,3),
   `monitoring-value` decimal(15,3),
   `monitoring-value-unit` varchar(50),
   `monitoring-time` datetime,
   `monitoring-description` varchar(50),
   `location-id` varchar(50),
   `location-name` varchar(50),
   `location-type` varchar(50),
   `location-region` varchar(50),
   `location-method` varchar(50),
   `location-time` datetime,
   `equipment-name` varchar(50),
   `equipment-name-second` varchar(50),
   `equipment-rank` varchar(50),
   `equipment-category` varchar(50),
   `equipment-instruction` varchar(50),
   `equipment-engineering` varchar(50),
   `decision-status` varchar(50),
   `complete-status` varchar(50),
   `result-status` varchar(50),
   `unit-quantity` decimal(15,3),
   `unit-name` varchar(50),
   `total-time-type` varchar(50),
   `total-time` decimal(15,3),
   `total-time-unit` varchar(50),
   `break-type` varchar(50),
   `break-date` datetime,
   `break-description` varchar(50),
   `break-quantity` decimal(15,3),
   `break-quantity-unit` varchar(50),
   `execution-time-type` varchar(50),
   `execution-time-required` datetime,
   `execution-time-schedule` datetime,
   `execution-time-record` datetime,
   `display-name` varchar(50),
   `display-color` varchar(50),
   `display-row` varchar(50),
   `display-column` varchar(50),
   `description` varchar(50),
   `department-name` varchar(50),
   `department-staff` varchar(50),
   `date-create` datetime,
   `date-revise` datetime,
   `date-valid` datetime,
   `date-expire` datetime,
PRIMARY KEY (`_id`) );

