CREATE TABLE "Customer"(
   "_id" int IDENTITY(1,1) NOT NULL,
   "_parent-element" nvarchar(50) NOT NULL,
   "customer-id" nvarchar(50) NOT NULL,
   "customer-class" nvarchar(50),
   "customer-party-id" nvarchar(50),
   "customer-plan-id" nvarchar(50),
   "customer-order-id" nvarchar(50),
   "customer-item-id" nvarchar(50),
   "customer-resource-id" nvarchar(50),
   "customer-process-id" nvarchar(50),
   "customer-lot-id" nvarchar(50),
   "customer-task-id" nvarchar(50),
   "customer-operation-id" nvarchar(50),
   "parent-id" nvarchar(50),
   "child-id" nvarchar(50),
   "child-name" nvarchar(50),
   "child-item-id" nvarchar(50),
   "child-resource-id" nvarchar(50),
   "child-process-id" nvarchar(50),
   "child-no" decimal(15,3),
   "child-quantity" decimal(15,3),
   "child-quantity-unit" nvarchar(50),
   "child-description" nvarchar(50),
   "contact-address" nvarchar(50),
   "contact-post-no" nvarchar(50),
   "contact-type" nvarchar(50),
   "contact-phone-no" nvarchar(50),
   "contact-email" nvarchar(50),
   "contact-fax-no" nvarchar(50),
   "contact-department" nvarchar(50),
   "contact-staff" nvarchar(50),
   "transaction-party-id" nvarchar(50),
   "transaction-item" nvarchar(50),
   "transaction-resource-id" nvarchar(50),
   "transaction-process-id" nvarchar(50),
   "transaction-type" nvarchar(50),
   "transaction-name" nvarchar(50),
   "transaction-price" decimal(15,3),
   "transaction-price-unit" nvarchar(50),
   "transaction-quantity" decimal(15,3),
   "transaction-quantity-unit" nvarchar(50),
   "transaction-quantity-rate" decimal(15,3),
   "transaction-leadtime" decimal(15,3),
   "transaction-leadtime-unit" nvarchar(50),
   "transaction-term" nvarchar(50),
   "transaction-description" nvarchar(50),
   "calendar-id" nvarchar(50),
   "calendar-no" decimal(15,3),
   "calendar-type" nvarchar(50),
   "calendar-status" nvarchar(50),
   "calendar-date" datetime,
   "calendar-description" nvarchar(50),
   "customer-name" nvarchar(50),
   "customer-name-second" nvarchar(50),
   "customer-rank" nvarchar(50),
   "customer-category" nvarchar(50),
   "decision-status" nvarchar(50),
   "complete-status" nvarchar(50),
   "result-status" nvarchar(50),
   "display-name" nvarchar(50),
   "display-color" nvarchar(50),
   "display-row" nvarchar(50),
   "display-column" nvarchar(50),
   "description" nvarchar(50),
   "department-name" nvarchar(50),
   "department-staff" nvarchar(50),
   "date-create" datetime,
   "date-revise" datetime,
   "date-valid" datetime,
   "date-expire" datetime,
PRIMARY KEY ("_id") );

CREATE TABLE "Supplier"(
   "_id" int IDENTITY(1,1) NOT NULL,
   "_parent-element" nvarchar(50) NOT NULL,
   "supplier-id" nvarchar(50) NOT NULL,
   "supplier-class" nvarchar(50),
   "supplier-party-id" nvarchar(50),
   "supplier-plan-id" nvarchar(50),
   "supplier-order-id" nvarchar(50),
   "supplier-item-id" nvarchar(50),
   "supplier-resource-id" nvarchar(50),
   "supplier-process-id" nvarchar(50),
   "supplier-lot-id" nvarchar(50),
   "supplier-task-id" nvarchar(50),
   "supplier-operation-id" nvarchar(50),
   "parent-id" nvarchar(50),
   "child-id" nvarchar(50),
   "child-name" nvarchar(50),
   "child-item-id" nvarchar(50),
   "child-resource-id" nvarchar(50),
   "child-process-id" nvarchar(50),
   "child-no" decimal(15,3),
   "child-quantity" decimal(15,3),
   "child-quantity-unit" nvarchar(50),
   "child-description" nvarchar(50),
   "contact-address" nvarchar(50),
   "contact-post-no" nvarchar(50),
   "contact-type" nvarchar(50),
   "contact-phone-no" nvarchar(50),
   "contact-email" nvarchar(50),
   "contact-fax-no" nvarchar(50),
   "contact-department" nvarchar(50),
   "contact-staff" nvarchar(50),
   "transaction-party-id" nvarchar(50),
   "transaction-item" nvarchar(50),
   "transaction-resource-id" nvarchar(50),
   "transaction-process-id" nvarchar(50),
   "transaction-type" nvarchar(50),
   "transaction-name" nvarchar(50),
   "transaction-price" decimal(15,3),
   "transaction-price-unit" nvarchar(50),
   "transaction-quantity" decimal(15,3),
   "transaction-quantity-unit" nvarchar(50),
   "transaction-quantity-rate" decimal(15,3),
   "transaction-leadtime" decimal(15,3),
   "transaction-leadtime-unit" nvarchar(50),
   "transaction-term" nvarchar(50),
   "transaction-description" nvarchar(50),
   "calendar-id" nvarchar(50),
   "calendar-no" decimal(15,3),
   "calendar-type" nvarchar(50),
   "calendar-status" nvarchar(50),
   "calendar-date" datetime,
   "calendar-description" nvarchar(50),
   "supplier-name" nvarchar(50),
   "supplier-name-second" nvarchar(50),
   "supplier-rank" nvarchar(50),
   "supplier-category" nvarchar(50),
   "decision-status" nvarchar(50),
   "complete-status" nvarchar(50),
   "result-status" nvarchar(50),
   "display-name" nvarchar(50),
   "display-color" nvarchar(50),
   "display-row" nvarchar(50),
   "display-column" nvarchar(50),
   "description" nvarchar(50),
   "department-name" nvarchar(50),
   "department-staff" nvarchar(50),
   "date-create" datetime,
   "date-revise" datetime,
   "date-valid" datetime,
   "date-expire" datetime,
PRIMARY KEY ("_id") );

CREATE TABLE "Product"(
   "_id" int IDENTITY(1,1) NOT NULL,
   "_parent-element" nvarchar(50) NOT NULL,
   "product-id" nvarchar(50) NOT NULL,
   "product-class" nvarchar(50),
   "product-party-id" nvarchar(50),
   "product-plan-id" nvarchar(50),
   "product-order-id" nvarchar(50),
   "product-item-id" nvarchar(50),
   "product-resource-id" nvarchar(50),
   "product-process-id" nvarchar(50),
   "product-lot-id" nvarchar(50),
   "product-task-id" nvarchar(50),
   "product-operation-id" nvarchar(50),
   "parent-id" nvarchar(50),
   "child-id" nvarchar(50),
   "child-name" nvarchar(50),
   "child-item-id" nvarchar(50),
   "child-resource-id" nvarchar(50),
   "child-process-id" nvarchar(50),
   "child-no" decimal(15,3),
   "child-quantity" decimal(15,3),
   "child-quantity-unit" nvarchar(50),
   "child-description" nvarchar(50),
   "family-item-id" nvarchar(50),
   "family-item-type" nvarchar(50),
   "family-item-description" nvarchar(50),
   "kit-item-id" nvarchar(50),
   "kit-item-type" nvarchar(50),
   "kit-item-description" nvarchar(50),
   "pegging-order-id" nvarchar(50),
   "pegging-type" nvarchar(50),
   "pegging-quantity-plan" decimal(15,3),
   "pegging-quantity-plan-unit" nvarchar(50),
   "pegging-quantity" decimal(15,3),
   "pegging-quantity-unit" nvarchar(50),
   "transaction-party-id" nvarchar(50),
   "transaction-item" nvarchar(50),
   "transaction-resource-id" nvarchar(50),
   "transaction-process-id" nvarchar(50),
   "transaction-type" nvarchar(50),
   "transaction-name" nvarchar(50),
   "transaction-price" decimal(15,3),
   "transaction-price-unit" nvarchar(50),
   "transaction-quantity" decimal(15,3),
   "transaction-quantity-unit" nvarchar(50),
   "transaction-quantity-rate" decimal(15,3),
   "transaction-leadtime" decimal(15,3),
   "transaction-leadtime-unit" nvarchar(50),
   "transaction-term" nvarchar(50),
   "transaction-description" nvarchar(50),
   "stock-control-type" nvarchar(50),
   "stock-control-location" nvarchar(50),
   "stock-control-cycle" decimal(15,3),
   "stock-control-cycle-unit" nvarchar(50),
   "stock-level-standard" decimal(15,3),
   "stock-level-standard-unit" nvarchar(50),
   "stock-level-min" decimal(15,3),
   "stock-level-min-unit" nvarchar(50),
   "stock-level-max" decimal(15,3),
   "stock-level-max-unit" nvarchar(50),
   "stock-type" nvarchar(50),
   "stock-location" nvarchar(50),
   "stock-value" decimal(15,3),
   "stock-unit" nvarchar(50),
   "stock-time" datetime,
   "product-name" nvarchar(50),
   "product-name-second" nvarchar(50),
   "product-rank" nvarchar(50),
   "product-category" nvarchar(50),
   "product-instruction" nvarchar(50),
   "product-engineering" nvarchar(50),
   "decision-status" nvarchar(50),
   "complete-status" nvarchar(50),
   "result-status" nvarchar(50),
   "product-size" nvarchar(50),
   "product-color" nvarchar(50),
   "product-material" nvarchar(50),
   "product-weight" nvarchar(50),
   "unit-quantity" decimal(15,3),
   "unit-name" nvarchar(50),
   "option-id" nvarchar(50),
   "option-name" nvarchar(50),
   "option-item-id" nvarchar(50),
   "option-resource-id" nvarchar(50),
   "option-process-id" nvarchar(50),
   "option-type" nvarchar(50),
   "option-value" decimal(15,3),
   "option-value-unit" nvarchar(50),
   "option-rate" decimal(15,3),
   "option-description" nvarchar(50),
   "lotsize-data-type" nvarchar(50),
   "lotsize-standard" decimal(15,3),
   "lotsize-standard-unit" nvarchar(50),
   "lotsize-min" decimal(15,3),
   "lotsize-min-unit" nvarchar(50),
   "lotsize-max" decimal(15,3),
   "lotsize-max-unit" nvarchar(50),
   "lotsize-round" decimal(15,3),
   "lotsize-round-unit" nvarchar(50),
   "claim-type" nvarchar(50),
   "claim-date" datetime,
   "claim-information" nvarchar(50),
   "standard-price-type" nvarchar(50),
   "standard-price" decimal(15,3),
   "standard-price-unit" nvarchar(50),
   "standard-price-time" datetime,
   "standard-cost-type" nvarchar(50),
   "standard-cost" decimal(15,3),
   "standard-cost-unit" nvarchar(50),
   "standard-cost-time" datetime,
   "display-name" nvarchar(50),
   "display-color" nvarchar(50),
   "display-row" nvarchar(50),
   "display-column" nvarchar(50),
   "description" nvarchar(50),
   "department-name" nvarchar(50),
   "department-staff" nvarchar(50),
   "date-create" datetime,
   "date-revise" datetime,
   "date-valid" datetime,
   "date-expire" datetime,
PRIMARY KEY ("_id") );

CREATE TABLE "Material"(
   "_id" int IDENTITY(1,1) NOT NULL,
   "_parent-element" nvarchar(50) NOT NULL,
   "material-id" nvarchar(50) NOT NULL,
   "material-class" nvarchar(50),
   "material-party-id" nvarchar(50),
   "material-plan-id" nvarchar(50),
   "material-order-id" nvarchar(50),
   "material-item-id" nvarchar(50),
   "material-resource-id" nvarchar(50),
   "material-process-id" nvarchar(50),
   "material-lot-id" nvarchar(50),
   "material-task-id" nvarchar(50),
   "material-operation-id" nvarchar(50),
   "parent-id" nvarchar(50),
   "child-id" nvarchar(50),
   "child-name" nvarchar(50),
   "child-item-id" nvarchar(50),
   "child-resource-id" nvarchar(50),
   "child-process-id" nvarchar(50),
   "child-no" decimal(15,3),
   "child-quantity" decimal(15,3),
   "child-quantity-unit" nvarchar(50),
   "child-description" nvarchar(50),
   "family-item-id" nvarchar(50),
   "family-item-type" nvarchar(50),
   "family-item-description" nvarchar(50),
   "kit-item-id" nvarchar(50),
   "kit-item-type" nvarchar(50),
   "kit-item-description" nvarchar(50),
   "pegging-order-id" nvarchar(50),
   "pegging-type" nvarchar(50),
   "pegging-quantity-plan" decimal(15,3),
   "pegging-quantity-plan-unit" nvarchar(50),
   "pegging-quantity" decimal(15,3),
   "pegging-quantity-unit" nvarchar(50),
   "transaction-party-id" nvarchar(50),
   "transaction-item" nvarchar(50),
   "transaction-resource-id" nvarchar(50),
   "transaction-process-id" nvarchar(50),
   "transaction-type" nvarchar(50),
   "transaction-name" nvarchar(50),
   "transaction-price" decimal(15,3),
   "transaction-price-unit" nvarchar(50),
   "transaction-quantity" decimal(15,3),
   "transaction-quantity-unit" nvarchar(50),
   "transaction-quantity-rate" decimal(15,3),
   "transaction-leadtime" decimal(15,3),
   "transaction-leadtime-unit" nvarchar(50),
   "transaction-term" nvarchar(50),
   "transaction-description" nvarchar(50),
   "stock-control-type" nvarchar(50),
   "stock-control-location" nvarchar(50),
   "stock-control-cycle" decimal(15,3),
   "stock-control-cycle-unit" nvarchar(50),
   "stock-level-standard" decimal(15,3),
   "stock-level-standard-unit" nvarchar(50),
   "stock-level-min" decimal(15,3),
   "stock-level-min-unit" nvarchar(50),
   "stock-level-max" decimal(15,3),
   "stock-level-max-unit" nvarchar(50),
   "stock-type" nvarchar(50),
   "stock-location" nvarchar(50),
   "stock-value" decimal(15,3),
   "stock-unit" nvarchar(50),
   "stock-time" datetime,
   "material-name" nvarchar(50),
   "material-name-second" nvarchar(50),
   "material-rank" nvarchar(50),
   "material-category" nvarchar(50),
   "material-instruction" nvarchar(50),
   "material-engineering" nvarchar(50),
   "decision-status" nvarchar(50),
   "complete-status" nvarchar(50),
   "result-status" nvarchar(50),
   "unit-quantity" decimal(15,3),
   "unit-name" nvarchar(50),
   "option-id" nvarchar(50),
   "option-name" nvarchar(50),
   "option-item-id" nvarchar(50),
   "option-resource-id" nvarchar(50),
   "option-process-id" nvarchar(50),
   "option-type" nvarchar(50),
   "option-value" decimal(15,3),
   "option-value-unit" nvarchar(50),
   "option-rate" decimal(15,3),
   "option-description" nvarchar(50),
   "lotsize-data-type" nvarchar(50),
   "lotsize-standard" decimal(15,3),
   "lotsize-standard-unit" nvarchar(50),
   "lotsize-min" decimal(15,3),
   "lotsize-min-unit" nvarchar(50),
   "lotsize-max" decimal(15,3),
   "lotsize-max-unit" nvarchar(50),
   "lotsize-round" decimal(15,3),
   "lotsize-round-unit" nvarchar(50),
   "claim-type" nvarchar(50),
   "claim-date" datetime,
   "claim-information" nvarchar(50),
   "standard-price-type" nvarchar(50),
   "standard-price" decimal(15,3),
   "standard-price-unit" nvarchar(50),
   "standard-price-time" datetime,
   "standard-cost-type" nvarchar(50),
   "standard-cost" decimal(15,3),
   "standard-cost-unit" nvarchar(50),
   "standard-cost-time" datetime,
   "display-name" nvarchar(50),
   "display-color" nvarchar(50),
   "display-row" nvarchar(50),
   "display-column" nvarchar(50),
   "description" nvarchar(50),
   "department-name" nvarchar(50),
   "department-staff" nvarchar(50),
   "date-create" datetime,
   "date-revise" datetime,
   "date-valid" datetime,
   "date-expire" datetime,
PRIMARY KEY ("_id") );

CREATE TABLE "Equipment"(
   "_id" int IDENTITY(1,1) NOT NULL,
   "_parent-element" nvarchar(50) NOT NULL,
   "equipment-id" nvarchar(50) NOT NULL,
   "equipment-class" nvarchar(50),
   "equipment-party-id" nvarchar(50),
   "equipment-plan-id" nvarchar(50),
   "equipment-order-id" nvarchar(50),
   "equipment-item-id" nvarchar(50),
   "equipment-resource-id" nvarchar(50),
   "equipment-process-id" nvarchar(50),
   "equipment-lot-id" nvarchar(50),
   "equipment-task-id" nvarchar(50),
   "equipment-operation-id" nvarchar(50),
   "parent-id" nvarchar(50),
   "child-id" nvarchar(50),
   "child-name" nvarchar(50),
   "child-item-id" nvarchar(50),
   "child-resource-id" nvarchar(50),
   "child-process-id" nvarchar(50),
   "child-no" decimal(15,3),
   "child-quantity" decimal(15,3),
   "child-quantity-unit" nvarchar(50),
   "child-description" nvarchar(50),
   "equipment-site-id" nvarchar(50),
   "equipment-area-id" nvarchar(50),
   "equipment-workcenter-id" nvarchar(50),
   "equipment-department-id" nvarchar(50),
   "location-id" nvarchar(50),
   "location-name" nvarchar(50),
   "location-type" nvarchar(50),
   "location-region" nvarchar(50),
   "location-method" nvarchar(50),
   "location-time" datetime,
   "capability-type" nvarchar(50),
   "capability-value" decimal(15,3),
   "capability-value-unit" nvarchar(50),
   "capability-description" nvarchar(50),
   "capacity-item-id" nvarchar(50),
   "capacity-resource-id" nvarchar(50),
   "capacity-process-id" nvarchar(50),
   "capacity-type" nvarchar(50),
   "capacity-name" nvarchar(50),
   "capacity-value" decimal(15,3),
   "capacity-value-unit" nvarchar(50),
   "capacity-time" datetime,
   "capacity-description" nvarchar(50),
   "equipment-name" nvarchar(50),
   "equipment-name-second" nvarchar(50),
   "equipment-rank" nvarchar(50),
   "equipment-category" nvarchar(50),
   "equipment-instruction" nvarchar(50),
   "equipment-engineering" nvarchar(50),
   "decision-status" nvarchar(50),
   "complete-status" nvarchar(50),
   "result-status" nvarchar(50),
   "unit-quantity" decimal(15,3),
   "unit-name" nvarchar(50),
   "total-time-type" nvarchar(50),
   "total-time" decimal(15,3),
   "total-time-unit" nvarchar(50),
   "break-type" nvarchar(50),
   "break-date" datetime,
   "break-description" nvarchar(50),
   "break-quantity" decimal(15,3),
   "break-quantity-unit" nvarchar(50),
   "standard-time-type" nvarchar(50),
   "standard-time" decimal(15,3),
   "standard-time-unit" nvarchar(50),
   "claim-type" nvarchar(50),
   "claim-date" datetime,
   "claim-information" nvarchar(50),
   "standard-price-type" nvarchar(50),
   "standard-price" decimal(15,3),
   "standard-price-unit" nvarchar(50),
   "standard-price-time" datetime,
   "standard-cost-type" nvarchar(50),
   "standard-cost" decimal(15,3),
   "standard-cost-unit" nvarchar(50),
   "standard-cost-time" datetime,
   "display-name" nvarchar(50),
   "display-color" nvarchar(50),
   "display-row" nvarchar(50),
   "display-column" nvarchar(50),
   "description" nvarchar(50),
   "department-name" nvarchar(50),
   "department-staff" nvarchar(50),
   "date-create" datetime,
   "date-revise" datetime,
   "date-valid" datetime,
   "date-expire" datetime,
PRIMARY KEY ("_id") );

CREATE TABLE "Personnel"(
   "_id" int IDENTITY(1,1) NOT NULL,
   "_parent-element" nvarchar(50) NOT NULL,
   "personnel-id" nvarchar(50) NOT NULL,
   "personnel-class" nvarchar(50),
   "personnel-party-id" nvarchar(50),
   "personnel-plan-id" nvarchar(50),
   "personnel-order-id" nvarchar(50),
   "personnel-item-id" nvarchar(50),
   "personnel-resource-id" nvarchar(50),
   "personnel-process-id" nvarchar(50),
   "personnel-lot-id" nvarchar(50),
   "personnel-task-id" nvarchar(50),
   "personnel-operation-id" nvarchar(50),
   "parent-id" nvarchar(50),
   "child-id" nvarchar(50),
   "child-name" nvarchar(50),
   "child-item-id" nvarchar(50),
   "child-resource-id" nvarchar(50),
   "child-process-id" nvarchar(50),
   "child-no" decimal(15,3),
   "child-quantity" decimal(15,3),
   "child-quantity-unit" nvarchar(50),
   "child-description" nvarchar(50),
   "personnel-site-id" nvarchar(50),
   "personnel-area-id" nvarchar(50),
   "personnel-workcenter-id" nvarchar(50),
   "personnel-department-id" nvarchar(50),
   "location-id" nvarchar(50),
   "location-name" nvarchar(50),
   "location-type" nvarchar(50),
   "location-region" nvarchar(50),
   "location-method" nvarchar(50),
   "location-time" datetime,
   "capability-type" nvarchar(50),
   "capability-value" decimal(15,3),
   "capability-value-unit" nvarchar(50),
   "capability-description" nvarchar(50),
   "capacity-item-id" nvarchar(50),
   "capacity-resource-id" nvarchar(50),
   "capacity-process-id" nvarchar(50),
   "capacity-type" nvarchar(50),
   "capacity-name" nvarchar(50),
   "capacity-value" decimal(15,3),
   "capacity-value-unit" nvarchar(50),
   "capacity-time" datetime,
   "capacity-description" nvarchar(50),
   "personnel-name" nvarchar(50),
   "personnel-name-second" nvarchar(50),
   "personnel-rank" nvarchar(50),
   "personnel-category" nvarchar(50),
   "personnel-instruction" nvarchar(50),
   "personnel-engineering" nvarchar(50),
   "decision-status" nvarchar(50),
   "complete-status" nvarchar(50),
   "result-status" nvarchar(50),
   "unit-quantity" decimal(15,3),
   "unit-name" nvarchar(50),
   "total-time-type" nvarchar(50),
   "total-time" decimal(15,3),
   "total-time-unit" nvarchar(50),
   "break-type" nvarchar(50),
   "break-date" datetime,
   "break-description" nvarchar(50),
   "break-quantity" decimal(15,3),
   "break-quantity-unit" nvarchar(50),
   "standard-time-type" nvarchar(50),
   "standard-time" decimal(15,3),
   "standard-time-unit" nvarchar(50),
   "claim-type" nvarchar(50),
   "claim-date" datetime,
   "claim-information" nvarchar(50),
   "standard-price-type" nvarchar(50),
   "standard-price" decimal(15,3),
   "standard-price-unit" nvarchar(50),
   "standard-price-time" datetime,
   "standard-cost-type" nvarchar(50),
   "standard-cost" decimal(15,3),
   "standard-cost-unit" nvarchar(50),
   "standard-cost-time" datetime,
   "display-name" nvarchar(50),
   "display-color" nvarchar(50),
   "display-row" nvarchar(50),
   "display-column" nvarchar(50),
   "description" nvarchar(50),
   "department-name" nvarchar(50),
   "department-staff" nvarchar(50),
   "date-create" datetime,
   "date-revise" datetime,
   "date-valid" datetime,
   "date-expire" datetime,
PRIMARY KEY ("_id") );

CREATE TABLE "ProductionCapability"(
   "_id" int IDENTITY(1,1) NOT NULL,
   "_parent-element" nvarchar(50) NOT NULL,
   "capability-id" nvarchar(50) NOT NULL,
   "capability-class" nvarchar(50),
   "capability-party-id" nvarchar(50),
   "capability-plan-id" nvarchar(50),
   "capability-order-id" nvarchar(50),
   "capability-item-id" nvarchar(50),
   "capability-resource-id" nvarchar(50),
   "capability-process-id" nvarchar(50),
   "capability-lot-id" nvarchar(50),
   "capability-task-id" nvarchar(50),
   "capability-operation-id" nvarchar(50),
   "parent-id" nvarchar(50),
   "child-id" nvarchar(50),
   "child-name" nvarchar(50),
   "child-item-id" nvarchar(50),
   "child-resource-id" nvarchar(50),
   "child-process-id" nvarchar(50),
   "child-no" decimal(15,3),
   "child-quantity" decimal(15,3),
   "child-quantity-unit" nvarchar(50),
   "child-description" nvarchar(50),
   "counter" decimal(15,3),
   "year" decimal(15,3),
   "month" decimal(15,3),
   "week" decimal(15,3),
   "day" decimal(15,3),
   "shift" decimal(15,3),
   "capability-site-id" nvarchar(50),
   "capability-area-id" nvarchar(50),
   "capability-workcenter-id" nvarchar(50),
   "capability-department-id" nvarchar(50),
   "event-id" nvarchar(50),
   "event-name" nvarchar(50),
   "event-type" nvarchar(50),
   "event-status" nvarchar(50),
   "event-count" decimal(15,3),
   "event-value" decimal(15,3),
   "event-value-unit" nvarchar(50),
   "event-time" datetime,
   "event-description" nvarchar(50),
   "capability-type" nvarchar(50),
   "capability-value" decimal(15,3),
   "capability-value-unit" nvarchar(50),
   "capability-description" nvarchar(50),
   "capacity-item-id" nvarchar(50),
   "capacity-resource-id" nvarchar(50),
   "capacity-process-id" nvarchar(50),
   "capacity-type" nvarchar(50),
   "capacity-name" nvarchar(50),
   "capacity-value" decimal(15,3),
   "capacity-value-unit" nvarchar(50),
   "capacity-time" datetime,
   "capacity-description" nvarchar(50),
   "capability-name" nvarchar(50),
   "capability-name-second" nvarchar(50),
   "capability-item-name" nvarchar(50),
   "capability-resource-name" nvarchar(50),
   "capability-process-name" nvarchar(50),
   "capability-party-name" nvarchar(50),
   "capability-rank" nvarchar(50),
   "capability-category" nvarchar(50),
   "decision-status" nvarchar(50),
   "complete-status" nvarchar(50),
   "result-status" nvarchar(50),
   "unit-quantity" decimal(15,3),
   "unit-name" nvarchar(50),
   "period-start-type" nvarchar(50),
   "period-start-time" datetime,
   "period-end-type" nvarchar(50),
   "period-end-time" datetime,
   "display-name" nvarchar(50),
   "display-color" nvarchar(50),
   "display-row" nvarchar(50),
   "display-column" nvarchar(50),
   "description" nvarchar(50),
   "department-name" nvarchar(50),
   "department-staff" nvarchar(50),
   "date-create" datetime,
   "date-revise" datetime,
   "date-valid" datetime,
   "date-expire" datetime,
PRIMARY KEY ("_id") );

CREATE TABLE "ProductionProcess"(
   "_id" int IDENTITY(1,1) NOT NULL,
   "_parent-element" nvarchar(50) NOT NULL,
   "production-id" nvarchar(50) NOT NULL,
   "production-class" nvarchar(50),
   "production-party-id" nvarchar(50),
   "production-plan-id" nvarchar(50),
   "production-order-id" nvarchar(50),
   "production-item-id" nvarchar(50),
   "production-resource-id" nvarchar(50),
   "production-process-id" nvarchar(50),
   "production-lot-id" nvarchar(50),
   "production-task-id" nvarchar(50),
   "production-operation-id" nvarchar(50),
   "parent-id" nvarchar(50),
   "child-id" nvarchar(50),
   "child-name" nvarchar(50),
   "child-item-id" nvarchar(50),
   "child-resource-id" nvarchar(50),
   "child-process-id" nvarchar(50),
   "child-no" decimal(15,3),
   "child-quantity" decimal(15,3),
   "child-quantity-unit" nvarchar(50),
   "child-description" nvarchar(50),
   "produce-item-id" nvarchar(50),
   "produce-resource-id" nvarchar(50),
   "produce-operation-id" nvarchar(50),
   "produce-type" nvarchar(50),
   "produce-name" nvarchar(50),
   "produce-group" nvarchar(50),
   "produce-time-plan" datetime,
   "produce-quantity-plan" decimal(15,3),
   "produce-quantity-plan-unit" nvarchar(50),
   "produce-time" datetime,
   "produce-quantity" decimal(15,3),
   "produce-quantity-unit" nvarchar(50),
   "produce-rate" decimal(15,3),
   "produce-priority-value" decimal(15,3),
   "produce-priority-category" nvarchar(50),
   "consume-item-id" nvarchar(50),
   "consume-resource-id" nvarchar(50),
   "consume-operation-id" nvarchar(50),
   "consume-type" nvarchar(50),
   "consume-name" nvarchar(50),
   "consume-group" nvarchar(50),
   "consume-time-plan" datetime,
   "consume-quantity-plan" decimal(15,3),
   "consume-quantity-plan-unit" nvarchar(50),
   "consume-time" datetime,
   "consume-quantity" decimal(15,3),
   "consume-quantity-unit" nvarchar(50),
   "consume-rate" decimal(15,3),
   "consume-priority-value" decimal(15,3),
   "consume-priority-category" nvarchar(50),
   "assign-item-id" nvarchar(50),
   "assign-resource-id" nvarchar(50),
   "assign-operation-id" nvarchar(50),
   "assign-type" nvarchar(50),
   "assign-name" nvarchar(50),
   "assign-group" nvarchar(50),
   "assign-time-plan" datetime,
   "assign-quantity-plan" decimal(15,3),
   "assign-quantity-plan-unit" nvarchar(50),
   "assign-time" datetime,
   "assign-quantity" decimal(15,3),
   "assign-quantity-unit" nvarchar(50),
   "assign-dulation" decimal(15,3),
   "assign-dulation-unit" nvarchar(50),
   "assign-rate" decimal(15,3),
   "assign-priority-value" decimal(15,3),
   "assign-priority-category" nvarchar(50),
   "predecessor-id" nvarchar(50),
   "predecessor-name" nvarchar(50),
   "predecessor-type" nvarchar(50),
   "predecessor-group" nvarchar(50),
   "predecessor-time" decimal(15,3),
   "predecessor-time-unit" nvarchar(50),
   "successor-id" nvarchar(50),
   "successor-name" nvarchar(50),
   "successor-type" nvarchar(50),
   "successor-group" nvarchar(50),
   "successor-time" decimal(15,3),
   "successor-time-unit" nvarchar(50),
   "operation-step-id" nvarchar(50),
   "operation-step-type" nvarchar(50),
   "operation-step-name" nvarchar(50),
   "operation-step-count" decimal(15,3),
   "operation-step-value" decimal(15,3),
   "operation-step-value-unit" nvarchar(50),
   "operation-step-description" nvarchar(50),
   "capability-type" nvarchar(50),
   "capability-value" decimal(15,3),
   "capability-value-unit" nvarchar(50),
   "capability-description" nvarchar(50),
   "production-name" nvarchar(50),
   "production-name-second" nvarchar(50),
   "production-rank" nvarchar(50),
   "production-category" nvarchar(50),
   "production-instruction" nvarchar(50),
   "production-engineering" nvarchar(50),
   "decision-status" nvarchar(50),
   "complete-status" nvarchar(50),
   "result-status" nvarchar(50),
   "unit-quantity" decimal(15,3),
   "unit-name" nvarchar(50),
   "total-time-type" nvarchar(50),
   "total-time" decimal(15,3),
   "total-time-unit" nvarchar(50),
   "lotsize-data-type" nvarchar(50),
   "lotsize-standard" decimal(15,3),
   "lotsize-standard-unit" nvarchar(50),
   "lotsize-min" decimal(15,3),
   "lotsize-min-unit" nvarchar(50),
   "lotsize-max" decimal(15,3),
   "lotsize-max-unit" nvarchar(50),
   "lotsize-round" decimal(15,3),
   "lotsize-round-unit" nvarchar(50),
   "standard-time-type" nvarchar(50),
   "standard-time" decimal(15,3),
   "standard-time-unit" nvarchar(50),
   "claim-type" nvarchar(50),
   "claim-date" datetime,
   "claim-information" nvarchar(50),
   "standard-price-type" nvarchar(50),
   "standard-price" decimal(15,3),
   "standard-price-unit" nvarchar(50),
   "standard-price-time" datetime,
   "standard-cost-type" nvarchar(50),
   "standard-cost" decimal(15,3),
   "standard-cost-unit" nvarchar(50),
   "standard-cost-time" datetime,
   "display-name" nvarchar(50),
   "display-color" nvarchar(50),
   "display-row" nvarchar(50),
   "display-column" nvarchar(50),
   "description" nvarchar(50),
   "department-name" nvarchar(50),
   "department-staff" nvarchar(50),
   "date-create" datetime,
   "date-revise" datetime,
   "date-valid" datetime,
   "date-expire" datetime,
PRIMARY KEY ("_id") );

CREATE TABLE "InventoryProcess"(
   "_id" int IDENTITY(1,1) NOT NULL,
   "_parent-element" nvarchar(50) NOT NULL,
   "inventory-id" nvarchar(50) NOT NULL,
   "inventory-class" nvarchar(50),
   "inventory-party-id" nvarchar(50),
   "inventory-plan-id" nvarchar(50),
   "inventory-order-id" nvarchar(50),
   "inventory-item-id" nvarchar(50),
   "inventory-resource-id" nvarchar(50),
   "inventory-process-id" nvarchar(50),
   "inventory-lot-id" nvarchar(50),
   "inventory-task-id" nvarchar(50),
   "inventory-operation-id" nvarchar(50),
   "parent-id" nvarchar(50),
   "child-id" nvarchar(50),
   "child-name" nvarchar(50),
   "child-item-id" nvarchar(50),
   "child-resource-id" nvarchar(50),
   "child-process-id" nvarchar(50),
   "child-no" decimal(15,3),
   "child-quantity" decimal(15,3),
   "child-quantity-unit" nvarchar(50),
   "child-description" nvarchar(50),
   "produce-item-id" nvarchar(50),
   "produce-resource-id" nvarchar(50),
   "produce-operation-id" nvarchar(50),
   "produce-type" nvarchar(50),
   "produce-name" nvarchar(50),
   "produce-group" nvarchar(50),
   "produce-time-plan" datetime,
   "produce-quantity-plan" decimal(15,3),
   "produce-quantity-plan-unit" nvarchar(50),
   "produce-time" datetime,
   "produce-quantity" decimal(15,3),
   "produce-quantity-unit" nvarchar(50),
   "produce-rate" decimal(15,3),
   "produce-priority-value" decimal(15,3),
   "produce-priority-category" nvarchar(50),
   "consume-item-id" nvarchar(50),
   "consume-resource-id" nvarchar(50),
   "consume-operation-id" nvarchar(50),
   "consume-type" nvarchar(50),
   "consume-name" nvarchar(50),
   "consume-group" nvarchar(50),
   "consume-time-plan" datetime,
   "consume-quantity-plan" decimal(15,3),
   "consume-quantity-plan-unit" nvarchar(50),
   "consume-time" datetime,
   "consume-quantity" decimal(15,3),
   "consume-quantity-unit" nvarchar(50),
   "consume-rate" decimal(15,3),
   "consume-priority-value" decimal(15,3),
   "consume-priority-category" nvarchar(50),
   "assign-item-id" nvarchar(50),
   "assign-resource-id" nvarchar(50),
   "assign-operation-id" nvarchar(50),
   "assign-type" nvarchar(50),
   "assign-name" nvarchar(50),
   "assign-group" nvarchar(50),
   "assign-time-plan" datetime,
   "assign-quantity-plan" decimal(15,3),
   "assign-quantity-plan-unit" nvarchar(50),
   "assign-time" datetime,
   "assign-quantity" decimal(15,3),
   "assign-quantity-unit" nvarchar(50),
   "assign-dulation" decimal(15,3),
   "assign-dulation-unit" nvarchar(50),
   "assign-rate" decimal(15,3),
   "assign-priority-value" decimal(15,3),
   "assign-priority-category" nvarchar(50),
   "predecessor-id" nvarchar(50),
   "predecessor-name" nvarchar(50),
   "predecessor-type" nvarchar(50),
   "predecessor-group" nvarchar(50),
   "predecessor-time" decimal(15,3),
   "predecessor-time-unit" nvarchar(50),
   "successor-id" nvarchar(50),
   "successor-name" nvarchar(50),
   "successor-type" nvarchar(50),
   "successor-group" nvarchar(50),
   "successor-time" decimal(15,3),
   "successor-time-unit" nvarchar(50),
   "operation-step-id" nvarchar(50),
   "operation-step-type" nvarchar(50),
   "operation-step-name" nvarchar(50),
   "operation-step-count" decimal(15,3),
   "operation-step-value" decimal(15,3),
   "operation-step-value-unit" nvarchar(50),
   "operation-step-description" nvarchar(50),
   "location-id" nvarchar(50),
   "location-name" nvarchar(50),
   "location-type" nvarchar(50),
   "location-region" nvarchar(50),
   "location-method" nvarchar(50),
   "location-time" datetime,
   "transfer-id" nvarchar(50),
   "transfer-name" nvarchar(50),
   "transfer-type" nvarchar(50),
   "transfer-region" nvarchar(50),
   "transfer-method" nvarchar(50),
   "transfer-time" datetime,
   "capability-type" nvarchar(50),
   "capability-value" decimal(15,3),
   "capability-value-unit" nvarchar(50),
   "capability-description" nvarchar(50),
   "inventory-name" nvarchar(50),
   "inventory-name-second" nvarchar(50),
   "inventory-rank" nvarchar(50),
   "inventory-category" nvarchar(50),
   "inventory-instruction" nvarchar(50),
   "inventory-engineering" nvarchar(50),
   "decision-status" nvarchar(50),
   "complete-status" nvarchar(50),
   "result-status" nvarchar(50),
   "unit-quantity" decimal(15,3),
   "unit-name" nvarchar(50),
   "total-time-type" nvarchar(50),
   "total-time" decimal(15,3),
   "total-time-unit" nvarchar(50),
   "lotsize-data-type" nvarchar(50),
   "lotsize-standard" decimal(15,3),
   "lotsize-standard-unit" nvarchar(50),
   "lotsize-min" decimal(15,3),
   "lotsize-min-unit" nvarchar(50),
   "lotsize-max" decimal(15,3),
   "lotsize-max-unit" nvarchar(50),
   "lotsize-round" decimal(15,3),
   "lotsize-round-unit" nvarchar(50),
   "standard-time-type" nvarchar(50),
   "standard-time" decimal(15,3),
   "standard-time-unit" nvarchar(50),
   "claim-type" nvarchar(50),
   "claim-date" datetime,
   "claim-information" nvarchar(50),
   "standard-price-type" nvarchar(50),
   "standard-price" decimal(15,3),
   "standard-price-unit" nvarchar(50),
   "standard-price-time" datetime,
   "standard-cost-type" nvarchar(50),
   "standard-cost" decimal(15,3),
   "standard-cost-unit" nvarchar(50),
   "standard-cost-time" datetime,
   "display-name" nvarchar(50),
   "display-color" nvarchar(50),
   "display-row" nvarchar(50),
   "display-column" nvarchar(50),
   "description" nvarchar(50),
   "department-name" nvarchar(50),
   "department-staff" nvarchar(50),
   "date-create" datetime,
   "date-revise" datetime,
   "date-valid" datetime,
   "date-expire" datetime,
PRIMARY KEY ("_id") );

CREATE TABLE "QAProcess"(
   "_id" int IDENTITY(1,1) NOT NULL,
   "_parent-element" nvarchar(50) NOT NULL,
   "quality-id" nvarchar(50) NOT NULL,
   "quality-class" nvarchar(50),
   "quality-party-id" nvarchar(50),
   "quality-plan-id" nvarchar(50),
   "quality-order-id" nvarchar(50),
   "quality-item-id" nvarchar(50),
   "quality-resource-id" nvarchar(50),
   "quality-process-id" nvarchar(50),
   "quality-lot-id" nvarchar(50),
   "quality-task-id" nvarchar(50),
   "quality-operation-id" nvarchar(50),
   "parent-id" nvarchar(50),
   "child-id" nvarchar(50),
   "child-name" nvarchar(50),
   "child-item-id" nvarchar(50),
   "child-resource-id" nvarchar(50),
   "child-process-id" nvarchar(50),
   "child-no" decimal(15,3),
   "child-quantity" decimal(15,3),
   "child-quantity-unit" nvarchar(50),
   "child-description" nvarchar(50),
   "produce-item-id" nvarchar(50),
   "produce-resource-id" nvarchar(50),
   "produce-operation-id" nvarchar(50),
   "produce-type" nvarchar(50),
   "produce-name" nvarchar(50),
   "produce-group" nvarchar(50),
   "produce-time-plan" datetime,
   "produce-quantity-plan" decimal(15,3),
   "produce-quantity-plan-unit" nvarchar(50),
   "produce-time" datetime,
   "produce-quantity" decimal(15,3),
   "produce-quantity-unit" nvarchar(50),
   "produce-rate" decimal(15,3),
   "produce-priority-value" decimal(15,3),
   "produce-priority-category" nvarchar(50),
   "consume-item-id" nvarchar(50),
   "consume-resource-id" nvarchar(50),
   "consume-operation-id" nvarchar(50),
   "consume-type" nvarchar(50),
   "consume-name" nvarchar(50),
   "consume-group" nvarchar(50),
   "consume-time-plan" datetime,
   "consume-quantity-plan" decimal(15,3),
   "consume-quantity-plan-unit" nvarchar(50),
   "consume-time" datetime,
   "consume-quantity" decimal(15,3),
   "consume-quantity-unit" nvarchar(50),
   "consume-rate" decimal(15,3),
   "consume-priority-value" decimal(15,3),
   "consume-priority-category" nvarchar(50),
   "assign-item-id" nvarchar(50),
   "assign-resource-id" nvarchar(50),
   "assign-operation-id" nvarchar(50),
   "assign-type" nvarchar(50),
   "assign-name" nvarchar(50),
   "assign-group" nvarchar(50),
   "assign-time-plan" datetime,
   "assign-quantity-plan" decimal(15,3),
   "assign-quantity-plan-unit" nvarchar(50),
   "assign-time" datetime,
   "assign-quantity" decimal(15,3),
   "assign-quantity-unit" nvarchar(50),
   "assign-dulation" decimal(15,3),
   "assign-dulation-unit" nvarchar(50),
   "assign-rate" decimal(15,3),
   "assign-priority-value" decimal(15,3),
   "assign-priority-category" nvarchar(50),
   "operation-step-id" nvarchar(50),
   "operation-step-type" nvarchar(50),
   "operation-step-name" nvarchar(50),
   "operation-step-count" decimal(15,3),
   "operation-step-value" decimal(15,3),
   "operation-step-value-unit" nvarchar(50),
   "operation-step-description" nvarchar(50),
   "capability-type" nvarchar(50),
   "capability-value" decimal(15,3),
   "capability-value-unit" nvarchar(50),
   "capability-description" nvarchar(50),
   "quality-name" nvarchar(50),
   "quality-name-second" nvarchar(50),
   "quality-rank" nvarchar(50),
   "quality-category" nvarchar(50),
   "quality-instruction" nvarchar(50),
   "quality-engineering" nvarchar(50),
   "decision-status" nvarchar(50),
   "complete-status" nvarchar(50),
   "result-status" nvarchar(50),
   "unit-quantity" decimal(15,3),
   "unit-name" nvarchar(50),
   "total-time-type" nvarchar(50),
   "total-time" decimal(15,3),
   "total-time-unit" nvarchar(50),
   "lotsize-data-type" nvarchar(50),
   "lotsize-standard" decimal(15,3),
   "lotsize-standard-unit" nvarchar(50),
   "lotsize-min" decimal(15,3),
   "lotsize-min-unit" nvarchar(50),
   "lotsize-max" decimal(15,3),
   "lotsize-max-unit" nvarchar(50),
   "lotsize-round" decimal(15,3),
   "lotsize-round-unit" nvarchar(50),
   "standard-time-type" nvarchar(50),
   "standard-time" decimal(15,3),
   "standard-time-unit" nvarchar(50),
   "claim-type" nvarchar(50),
   "claim-date" datetime,
   "claim-information" nvarchar(50),
   "standard-price-type" nvarchar(50),
   "standard-price" decimal(15,3),
   "standard-price-unit" nvarchar(50),
   "standard-price-time" datetime,
   "standard-cost-type" nvarchar(50),
   "standard-cost" decimal(15,3),
   "standard-cost-unit" nvarchar(50),
   "standard-cost-time" datetime,
   "display-name" nvarchar(50),
   "display-color" nvarchar(50),
   "display-row" nvarchar(50),
   "display-column" nvarchar(50),
   "description" nvarchar(50),
   "department-name" nvarchar(50),
   "department-staff" nvarchar(50),
   "date-create" datetime,
   "date-revise" datetime,
   "date-valid" datetime,
   "date-expire" datetime,
PRIMARY KEY ("_id") );

CREATE TABLE "MaintenanceProcess"(
   "_id" int IDENTITY(1,1) NOT NULL,
   "_parent-element" nvarchar(50) NOT NULL,
   "maintenance-id" nvarchar(50) NOT NULL,
   "maintenance-class" nvarchar(50),
   "maintenance-party-id" nvarchar(50),
   "maintenance-plan-id" nvarchar(50),
   "maintenance-order-id" nvarchar(50),
   "maintenance-item-id" nvarchar(50),
   "maintenance-resource-id" nvarchar(50),
   "maintenance-process-id" nvarchar(50),
   "maintenance-lot-id" nvarchar(50),
   "maintenance-task-id" nvarchar(50),
   "maintenance-operation-id" nvarchar(50),
   "parent-id" nvarchar(50),
   "child-id" nvarchar(50),
   "child-name" nvarchar(50),
   "child-item-id" nvarchar(50),
   "child-resource-id" nvarchar(50),
   "child-process-id" nvarchar(50),
   "child-no" decimal(15,3),
   "child-quantity" decimal(15,3),
   "child-quantity-unit" nvarchar(50),
   "child-description" nvarchar(50),
   "produce-item-id" nvarchar(50),
   "produce-resource-id" nvarchar(50),
   "produce-operation-id" nvarchar(50),
   "produce-type" nvarchar(50),
   "produce-name" nvarchar(50),
   "produce-group" nvarchar(50),
   "produce-time-plan" datetime,
   "produce-quantity-plan" decimal(15,3),
   "produce-quantity-plan-unit" nvarchar(50),
   "produce-time" datetime,
   "produce-quantity" decimal(15,3),
   "produce-quantity-unit" nvarchar(50),
   "produce-rate" decimal(15,3),
   "produce-priority-value" decimal(15,3),
   "produce-priority-category" nvarchar(50),
   "consume-item-id" nvarchar(50),
   "consume-resource-id" nvarchar(50),
   "consume-operation-id" nvarchar(50),
   "consume-type" nvarchar(50),
   "consume-name" nvarchar(50),
   "consume-group" nvarchar(50),
   "consume-time-plan" datetime,
   "consume-quantity-plan" decimal(15,3),
   "consume-quantity-plan-unit" nvarchar(50),
   "consume-time" datetime,
   "consume-quantity" decimal(15,3),
   "consume-quantity-unit" nvarchar(50),
   "consume-rate" decimal(15,3),
   "consume-priority-value" decimal(15,3),
   "consume-priority-category" nvarchar(50),
   "assign-item-id" nvarchar(50),
   "assign-resource-id" nvarchar(50),
   "assign-operation-id" nvarchar(50),
   "assign-type" nvarchar(50),
   "assign-name" nvarchar(50),
   "assign-group" nvarchar(50),
   "assign-time-plan" datetime,
   "assign-quantity-plan" decimal(15,3),
   "assign-quantity-plan-unit" nvarchar(50),
   "assign-time" datetime,
   "assign-quantity" decimal(15,3),
   "assign-quantity-unit" nvarchar(50),
   "assign-dulation" decimal(15,3),
   "assign-dulation-unit" nvarchar(50),
   "assign-rate" decimal(15,3),
   "assign-priority-value" decimal(15,3),
   "assign-priority-category" nvarchar(50),
   "operation-step-id" nvarchar(50),
   "operation-step-type" nvarchar(50),
   "operation-step-name" nvarchar(50),
   "operation-step-count" decimal(15,3),
   "operation-step-value" decimal(15,3),
   "operation-step-value-unit" nvarchar(50),
   "operation-step-description" nvarchar(50),
   "capability-type" nvarchar(50),
   "capability-value" decimal(15,3),
   "capability-value-unit" nvarchar(50),
   "capability-description" nvarchar(50),
   "maintenance-name" nvarchar(50),
   "maintenance-name-second" nvarchar(50),
   "maintenance-rank" nvarchar(50),
   "maintenance-category" nvarchar(50),
   "maintenance-instruction" nvarchar(50),
   "maintenance-engineering" nvarchar(50),
   "decision-status" nvarchar(50),
   "complete-status" nvarchar(50),
   "result-status" nvarchar(50),
   "unit-quantity" decimal(15,3),
   "unit-name" nvarchar(50),
   "total-time-type" nvarchar(50),
   "total-time" decimal(15,3),
   "total-time-unit" nvarchar(50),
   "lotsize-data-type" nvarchar(50),
   "lotsize-standard" decimal(15,3),
   "lotsize-standard-unit" nvarchar(50),
   "lotsize-min" decimal(15,3),
   "lotsize-min-unit" nvarchar(50),
   "lotsize-max" decimal(15,3),
   "lotsize-max-unit" nvarchar(50),
   "lotsize-round" decimal(15,3),
   "lotsize-round-unit" nvarchar(50),
   "standard-time-type" nvarchar(50),
   "standard-time" decimal(15,3),
   "standard-time-unit" nvarchar(50),
   "claim-type" nvarchar(50),
   "claim-date" datetime,
   "claim-information" nvarchar(50),
   "standard-price-type" nvarchar(50),
   "standard-price" decimal(15,3),
   "standard-price-unit" nvarchar(50),
   "standard-price-time" datetime,
   "standard-cost-type" nvarchar(50),
   "standard-cost" decimal(15,3),
   "standard-cost-unit" nvarchar(50),
   "standard-cost-time" datetime,
   "display-name" nvarchar(50),
   "display-color" nvarchar(50),
   "display-row" nvarchar(50),
   "display-column" nvarchar(50),
   "description" nvarchar(50),
   "department-name" nvarchar(50),
   "department-staff" nvarchar(50),
   "date-create" datetime,
   "date-revise" datetime,
   "date-valid" datetime,
   "date-expire" datetime,
PRIMARY KEY ("_id") );

CREATE TABLE "MasterCalendar"(
   "_id" int IDENTITY(1,1) NOT NULL,
   "_parent-element" nvarchar(50) NOT NULL,
   "calendar-id" nvarchar(50) NOT NULL,
   "calendar-class" nvarchar(50),
   "calendar-party-id" nvarchar(50),
   "calendar-plan-id" nvarchar(50),
   "calendar-order-id" nvarchar(50),
   "calendar-item-id" nvarchar(50),
   "calendar-resource-id" nvarchar(50),
   "calendar-process-id" nvarchar(50),
   "calendar-lot-id" nvarchar(50),
   "calendar-task-id" nvarchar(50),
   "calendar-operation-id" nvarchar(50),
   "parent-id" nvarchar(50),
   "child-id" nvarchar(50),
   "child-name" nvarchar(50),
   "child-item-id" nvarchar(50),
   "child-resource-id" nvarchar(50),
   "child-process-id" nvarchar(50),
   "child-no" decimal(15,3),
   "child-quantity" decimal(15,3),
   "child-quantity-unit" nvarchar(50),
   "child-description" nvarchar(50),
   "counter" decimal(15,3),
   "year" decimal(15,3),
   "month" decimal(15,3),
   "week" decimal(15,3),
   "day" decimal(15,3),
   "shift" decimal(15,3),
   "event-id" nvarchar(50),
   "event-name" nvarchar(50),
   "event-type" nvarchar(50),
   "event-status" nvarchar(50),
   "event-count" decimal(15,3),
   "event-value" decimal(15,3),
   "event-value-unit" nvarchar(50),
   "event-time" datetime,
   "event-description" nvarchar(50),
   "capability-type" nvarchar(50),
   "capability-value" decimal(15,3),
   "capability-value-unit" nvarchar(50),
   "capability-description" nvarchar(50),
   "capacity-item-id" nvarchar(50),
   "capacity-resource-id" nvarchar(50),
   "capacity-process-id" nvarchar(50),
   "capacity-type" nvarchar(50),
   "capacity-name" nvarchar(50),
   "capacity-value" decimal(15,3),
   "capacity-value-unit" nvarchar(50),
   "capacity-time" datetime,
   "capacity-description" nvarchar(50),
   "calendar-name" nvarchar(50),
   "calendar-name-second" nvarchar(50),
   "calendar-item-name" nvarchar(50),
   "calendar-resource-name" nvarchar(50),
   "calendar-process-name" nvarchar(50),
   "calendar-party-name" nvarchar(50),
   "calendar-rank" nvarchar(50),
   "calendar-category" nvarchar(50),
   "decision-status" nvarchar(50),
   "complete-status" nvarchar(50),
   "result-status" nvarchar(50),
   "unit-quantity" decimal(15,3),
   "unit-name" nvarchar(50),
   "period-start-type" nvarchar(50),
   "period-start-time" datetime,
   "period-end-type" nvarchar(50),
   "period-end-time" datetime,
   "display-name" nvarchar(50),
   "display-color" nvarchar(50),
   "display-row" nvarchar(50),
   "display-column" nvarchar(50),
   "description" nvarchar(50),
   "department-name" nvarchar(50),
   "department-staff" nvarchar(50),
   "date-create" datetime,
   "date-revise" datetime,
   "date-valid" datetime,
   "date-expire" datetime,
PRIMARY KEY ("_id") );

CREATE TABLE "SalesPlan"(
   "_id" int IDENTITY(1,1) NOT NULL,
   "_parent-element" nvarchar(50) NOT NULL,
   "sales-id" nvarchar(50) NOT NULL,
   "sales-class" nvarchar(50),
   "sales-party-id" nvarchar(50),
   "sales-plan-id" nvarchar(50),
   "sales-order-id" nvarchar(50),
   "sales-item-id" nvarchar(50),
   "sales-resource-id" nvarchar(50),
   "sales-process-id" nvarchar(50),
   "sales-lot-id" nvarchar(50),
   "sales-task-id" nvarchar(50),
   "sales-operation-id" nvarchar(50),
   "parent-id" nvarchar(50),
   "child-id" nvarchar(50),
   "child-name" nvarchar(50),
   "child-item-id" nvarchar(50),
   "child-resource-id" nvarchar(50),
   "child-process-id" nvarchar(50),
   "child-no" decimal(15,3),
   "child-quantity" decimal(15,3),
   "child-quantity-unit" nvarchar(50),
   "child-description" nvarchar(50),
   "counter" decimal(15,3),
   "year" decimal(15,3),
   "month" decimal(15,3),
   "week" decimal(15,3),
   "day" decimal(15,3),
   "shift" decimal(15,3),
   "calendar-id" nvarchar(50),
   "calendar-no" decimal(15,3),
   "calendar-type" nvarchar(50),
   "calendar-status" nvarchar(50),
   "calendar-date" datetime,
   "calendar-description" nvarchar(50),
   "source-id" nvarchar(50),
   "source-name" nvarchar(50),
   "source-type" nvarchar(50),
   "source-address" nvarchar(50),
   "source-phone-no" nvarchar(50),
   "source-staff" nvarchar(50),
   "source-description" nvarchar(50),
   "destination-id" nvarchar(50),
   "destination-name" nvarchar(50),
   "destination-type" nvarchar(50),
   "destination-address" nvarchar(50),
   "destination-phone-no" nvarchar(50),
   "destination-staff" nvarchar(50),
   "destination-description" nvarchar(50),
   "sales-name" nvarchar(50),
   "sales-name-second" nvarchar(50),
   "sales-item-name" nvarchar(50),
   "sales-resource-name" nvarchar(50),
   "sales-process-name" nvarchar(50),
   "sales-party-name" nvarchar(50),
   "sales-rank" nvarchar(50),
   "sales-category" nvarchar(50),
   "sales-instruction" nvarchar(50),
   "sales-engineering" nvarchar(50),
   "decision-status" nvarchar(50),
   "complete-status" nvarchar(50),
   "result-status" nvarchar(50),
   "unit-quantity" decimal(15,3),
   "unit-name" nvarchar(50),
   "total-time-type" nvarchar(50),
   "total-time" decimal(15,3),
   "total-time-unit" nvarchar(50),
   "plan-value-type" nvarchar(50),
   "plan-value-commit" decimal(15,3),
   "plan-value-commit-unit" nvarchar(50),
   "plan-value-achieve" decimal(15,3),
   "plan-value-achieve-unit" nvarchar(50),
   "plan-value-result" decimal(15,3),
   "plan-value-result-unit" nvarchar(50),
   "plan-value-profit" decimal(15,3),
   "plan-value-profit-unit" nvarchar(50),
   "plan-value-rate" decimal(15,3),
   "plan-value-agent" nvarchar(50),
   "plan-value-description" nvarchar(50),
   "period-start-type" nvarchar(50),
   "period-start-time" datetime,
   "period-end-type" nvarchar(50),
   "period-end-time" datetime,
   "display-name" nvarchar(50),
   "display-color" nvarchar(50),
   "display-row" nvarchar(50),
   "display-column" nvarchar(50),
   "description" nvarchar(50),
   "department-name" nvarchar(50),
   "department-staff" nvarchar(50),
   "date-create" datetime,
   "date-revise" datetime,
   "date-valid" datetime,
   "date-expire" datetime,
PRIMARY KEY ("_id") );

CREATE TABLE "PurchasePlan"(
   "_id" int IDENTITY(1,1) NOT NULL,
   "_parent-element" nvarchar(50) NOT NULL,
   "purchase-id" nvarchar(50) NOT NULL,
   "purchase-class" nvarchar(50),
   "purchase-party-id" nvarchar(50),
   "purchase-plan-id" nvarchar(50),
   "purchase-order-id" nvarchar(50),
   "purchase-item-id" nvarchar(50),
   "purchase-resource-id" nvarchar(50),
   "purchase-process-id" nvarchar(50),
   "purchase-lot-id" nvarchar(50),
   "purchase-task-id" nvarchar(50),
   "purchase-operation-id" nvarchar(50),
   "parent-id" nvarchar(50),
   "child-id" nvarchar(50),
   "child-name" nvarchar(50),
   "child-item-id" nvarchar(50),
   "child-resource-id" nvarchar(50),
   "child-process-id" nvarchar(50),
   "child-no" decimal(15,3),
   "child-quantity" decimal(15,3),
   "child-quantity-unit" nvarchar(50),
   "child-description" nvarchar(50),
   "counter" decimal(15,3),
   "year" decimal(15,3),
   "month" decimal(15,3),
   "week" decimal(15,3),
   "day" decimal(15,3),
   "shift" decimal(15,3),
   "calendar-id" nvarchar(50),
   "calendar-no" decimal(15,3),
   "calendar-type" nvarchar(50),
   "calendar-status" nvarchar(50),
   "calendar-date" datetime,
   "calendar-description" nvarchar(50),
   "source-id" nvarchar(50),
   "source-name" nvarchar(50),
   "source-type" nvarchar(50),
   "source-address" nvarchar(50),
   "source-phone-no" nvarchar(50),
   "source-staff" nvarchar(50),
   "source-description" nvarchar(50),
   "destination-id" nvarchar(50),
   "destination-name" nvarchar(50),
   "destination-type" nvarchar(50),
   "destination-address" nvarchar(50),
   "destination-phone-no" nvarchar(50),
   "destination-staff" nvarchar(50),
   "destination-description" nvarchar(50),
   "purchase-name" nvarchar(50),
   "purchase-name-second" nvarchar(50),
   "purchase-item-name" nvarchar(50),
   "purchase-resource-name" nvarchar(50),
   "purchase-process-name" nvarchar(50),
   "purchase-party-name" nvarchar(50),
   "purchase-rank" nvarchar(50),
   "purchase-category" nvarchar(50),
   "purchase-instruction" nvarchar(50),
   "purchase-engineering" nvarchar(50),
   "decision-status" nvarchar(50),
   "complete-status" nvarchar(50),
   "result-status" nvarchar(50),
   "unit-quantity" decimal(15,3),
   "unit-name" nvarchar(50),
   "total-time-type" nvarchar(50),
   "total-time" decimal(15,3),
   "total-time-unit" nvarchar(50),
   "plan-value-type" nvarchar(50),
   "plan-value-commit" decimal(15,3),
   "plan-value-commit-unit" nvarchar(50),
   "plan-value-achieve" decimal(15,3),
   "plan-value-achieve-unit" nvarchar(50),
   "plan-value-result" decimal(15,3),
   "plan-value-result-unit" nvarchar(50),
   "plan-value-profit" decimal(15,3),
   "plan-value-profit-unit" nvarchar(50),
   "plan-value-rate" decimal(15,3),
   "plan-value-agent" nvarchar(50),
   "plan-value-description" nvarchar(50),
   "period-start-type" nvarchar(50),
   "period-start-time" datetime,
   "period-end-type" nvarchar(50),
   "period-end-time" datetime,
   "display-name" nvarchar(50),
   "display-color" nvarchar(50),
   "display-row" nvarchar(50),
   "display-column" nvarchar(50),
   "description" nvarchar(50),
   "department-name" nvarchar(50),
   "department-staff" nvarchar(50),
   "date-create" datetime,
   "date-revise" datetime,
   "date-valid" datetime,
   "date-expire" datetime,
PRIMARY KEY ("_id") );

CREATE TABLE "ProductionPlan"(
   "_id" int IDENTITY(1,1) NOT NULL,
   "_parent-element" nvarchar(50) NOT NULL,
   "production-id" nvarchar(50) NOT NULL,
   "production-class" nvarchar(50),
   "production-party-id" nvarchar(50),
   "production-plan-id" nvarchar(50),
   "production-order-id" nvarchar(50),
   "production-item-id" nvarchar(50),
   "production-resource-id" nvarchar(50),
   "production-process-id" nvarchar(50),
   "production-lot-id" nvarchar(50),
   "production-task-id" nvarchar(50),
   "production-operation-id" nvarchar(50),
   "parent-id" nvarchar(50),
   "child-id" nvarchar(50),
   "child-name" nvarchar(50),
   "child-item-id" nvarchar(50),
   "child-resource-id" nvarchar(50),
   "child-process-id" nvarchar(50),
   "child-no" decimal(15,3),
   "child-quantity" decimal(15,3),
   "child-quantity-unit" nvarchar(50),
   "child-description" nvarchar(50),
   "counter" decimal(15,3),
   "year" decimal(15,3),
   "month" decimal(15,3),
   "week" decimal(15,3),
   "day" decimal(15,3),
   "shift" decimal(15,3),
   "calendar-id" nvarchar(50),
   "calendar-no" decimal(15,3),
   "calendar-type" nvarchar(50),
   "calendar-status" nvarchar(50),
   "calendar-date" datetime,
   "calendar-description" nvarchar(50),
   "source-id" nvarchar(50),
   "source-name" nvarchar(50),
   "source-type" nvarchar(50),
   "source-address" nvarchar(50),
   "source-phone-no" nvarchar(50),
   "source-staff" nvarchar(50),
   "source-description" nvarchar(50),
   "destination-id" nvarchar(50),
   "destination-name" nvarchar(50),
   "destination-type" nvarchar(50),
   "destination-address" nvarchar(50),
   "destination-phone-no" nvarchar(50),
   "destination-staff" nvarchar(50),
   "destination-description" nvarchar(50),
   "production-name" nvarchar(50),
   "production-name-second" nvarchar(50),
   "production-item-name" nvarchar(50),
   "production-resource-name" nvarchar(50),
   "production-process-name" nvarchar(50),
   "production-party-name" nvarchar(50),
   "production-rank" nvarchar(50),
   "production-category" nvarchar(50),
   "production-instruction" nvarchar(50),
   "production-engineering" nvarchar(50),
   "decision-status" nvarchar(50),
   "complete-status" nvarchar(50),
   "result-status" nvarchar(50),
   "unit-quantity" decimal(15,3),
   "unit-name" nvarchar(50),
   "total-time-type" nvarchar(50),
   "total-time" decimal(15,3),
   "total-time-unit" nvarchar(50),
   "plan-value-type" nvarchar(50),
   "plan-value-commit" decimal(15,3),
   "plan-value-commit-unit" nvarchar(50),
   "plan-value-achieve" decimal(15,3),
   "plan-value-achieve-unit" nvarchar(50),
   "plan-value-result" decimal(15,3),
   "plan-value-result-unit" nvarchar(50),
   "plan-value-profit" decimal(15,3),
   "plan-value-profit-unit" nvarchar(50),
   "plan-value-rate" decimal(15,3),
   "plan-value-agent" nvarchar(50),
   "plan-value-description" nvarchar(50),
   "period-start-type" nvarchar(50),
   "period-start-time" datetime,
   "period-end-type" nvarchar(50),
   "period-end-time" datetime,
   "display-name" nvarchar(50),
   "display-color" nvarchar(50),
   "display-row" nvarchar(50),
   "display-column" nvarchar(50),
   "description" nvarchar(50),
   "department-name" nvarchar(50),
   "department-staff" nvarchar(50),
   "date-create" datetime,
   "date-revise" datetime,
   "date-valid" datetime,
   "date-expire" datetime,
PRIMARY KEY ("_id") );

CREATE TABLE "SalesOrder"(
   "_id" int IDENTITY(1,1) NOT NULL,
   "_parent-element" nvarchar(50) NOT NULL,
   "sales-id" nvarchar(50) NOT NULL,
   "sales-class" nvarchar(50),
   "sales-party-id" nvarchar(50),
   "sales-plan-id" nvarchar(50),
   "sales-order-id" nvarchar(50),
   "sales-item-id" nvarchar(50),
   "sales-resource-id" nvarchar(50),
   "sales-process-id" nvarchar(50),
   "sales-lot-id" nvarchar(50),
   "sales-task-id" nvarchar(50),
   "sales-operation-id" nvarchar(50),
   "parent-id" nvarchar(50),
   "child-id" nvarchar(50),
   "child-name" nvarchar(50),
   "child-item-id" nvarchar(50),
   "child-resource-id" nvarchar(50),
   "child-process-id" nvarchar(50),
   "child-no" decimal(15,3),
   "child-quantity" decimal(15,3),
   "child-quantity-unit" nvarchar(50),
   "child-description" nvarchar(50),
   "counter" decimal(15,3),
   "year" decimal(15,3),
   "month" decimal(15,3),
   "week" decimal(15,3),
   "day" decimal(15,3),
   "shift" decimal(15,3),
   "destination-id" nvarchar(50),
   "destination-name" nvarchar(50),
   "destination-type" nvarchar(50),
   "destination-address" nvarchar(50),
   "destination-phone-no" nvarchar(50),
   "destination-staff" nvarchar(50),
   "destination-description" nvarchar(50),
   "delivery-method" nvarchar(50),
   "delivery-type" nvarchar(50),
   "delivery-quantity" decimal(15,3),
   "delivery-quantity-unit" nvarchar(50),
   "delivery-form" nvarchar(50),
   "delivery-party" nvarchar(50),
   "delivery-location" nvarchar(50),
   "progress-time" datetime,
   "progress-type" nvarchar(50),
   "progress-value" decimal(15,3),
   "progress-value-unit" nvarchar(50),
   "progress-status" nvarchar(50),
   "sales-name" nvarchar(50),
   "sales-name-second" nvarchar(50),
   "sales-item-name" nvarchar(50),
   "sales-resource-name" nvarchar(50),
   "sales-process-name" nvarchar(50),
   "sales-party-name" nvarchar(50),
   "sales-rank" nvarchar(50),
   "sales-category" nvarchar(50),
   "sales-instruction" nvarchar(50),
   "sales-engineering" nvarchar(50),
   "decision-status" nvarchar(50),
   "complete-status" nvarchar(50),
   "result-status" nvarchar(50),
   "unit-quantity" decimal(15,3),
   "unit-name" nvarchar(50),
   "lotsize-data-type" nvarchar(50),
   "lotsize-standard" decimal(15,3),
   "lotsize-standard-unit" nvarchar(50),
   "lotsize-min" decimal(15,3),
   "lotsize-min-unit" nvarchar(50),
   "lotsize-max" decimal(15,3),
   "lotsize-max-unit" nvarchar(50),
   "lotsize-round" decimal(15,3),
   "lotsize-round-unit" nvarchar(50),
   "quantity-plan-type" nvarchar(50),
   "quantity-plan" decimal(15,3),
   "quantity-plan-unit" nvarchar(50),
   "quantity-firm-type" nvarchar(50),
   "quantity-firm" decimal(15,3),
   "quantity-firm-unit" nvarchar(50),
   "quantity-result-type" nvarchar(50),
   "quantity-result" decimal(15,3),
   "quantity-result-unit" nvarchar(50),
   "order-confirm-type" nvarchar(50),
   "order-confirm-time" datetime,
   "order-confirm-description" nvarchar(50),
   "start-time-type" nvarchar(50),
   "start-time-required" datetime,
   "start-time-schedule" datetime,
   "start-time-record" datetime,
   "end-time-type" nvarchar(50),
   "end-time-required" datetime,
   "end-time-schedule" datetime,
   "end-time-record" datetime,
   "release-time-type" nvarchar(50),
   "release-time-required" datetime,
   "release-time-schedule" datetime,
   "release-time-record" datetime,
   "due-time-type" nvarchar(50),
   "due-time-required" datetime,
   "due-time-schedule" datetime,
   "due-time-record" datetime,
   "unit-price-type" nvarchar(50),
   "unit-price" decimal(15,3),
   "unit-price-unit" nvarchar(50),
   "price-tax" decimal(15,3),
   "price-tax-unit" nvarchar(50),
   "price-discount" decimal(15,3),
   "price-discount-unit" nvarchar(50),
   "price-amount" decimal(15,3),
   "price-amount-unit" nvarchar(50),
   "priority-type" nvarchar(50),
   "priority-status" nvarchar(50),
   "priority-value" decimal(15,3),
   "display-name" nvarchar(50),
   "display-color" nvarchar(50),
   "display-row" nvarchar(50),
   "display-column" nvarchar(50),
   "description" nvarchar(50),
   "department-name" nvarchar(50),
   "department-staff" nvarchar(50),
   "date-create" datetime,
   "date-revise" datetime,
   "date-valid" datetime,
   "date-expire" datetime,
PRIMARY KEY ("_id") );

CREATE TABLE "PurchaseOrder"(
   "_id" int IDENTITY(1,1) NOT NULL,
   "_parent-element" nvarchar(50) NOT NULL,
   "purchase-id" nvarchar(50) NOT NULL,
   "purchase-class" nvarchar(50),
   "purchase-party-id" nvarchar(50),
   "purchase-plan-id" nvarchar(50),
   "purchase-order-id" nvarchar(50),
   "purchase-item-id" nvarchar(50),
   "purchase-resource-id" nvarchar(50),
   "purchase-process-id" nvarchar(50),
   "purchase-lot-id" nvarchar(50),
   "purchase-task-id" nvarchar(50),
   "purchase-operation-id" nvarchar(50),
   "parent-id" nvarchar(50),
   "child-id" nvarchar(50),
   "child-name" nvarchar(50),
   "child-item-id" nvarchar(50),
   "child-resource-id" nvarchar(50),
   "child-process-id" nvarchar(50),
   "child-no" decimal(15,3),
   "child-quantity" decimal(15,3),
   "child-quantity-unit" nvarchar(50),
   "child-description" nvarchar(50),
   "counter" decimal(15,3),
   "year" decimal(15,3),
   "month" decimal(15,3),
   "week" decimal(15,3),
   "day" decimal(15,3),
   "shift" decimal(15,3),
   "pegging-order-id" nvarchar(50),
   "pegging-type" nvarchar(50),
   "pegging-quantity-plan" decimal(15,3),
   "pegging-quantity-plan-unit" nvarchar(50),
   "pegging-quantity" decimal(15,3),
   "pegging-quantity-unit" nvarchar(50),
   "source-id" nvarchar(50),
   "source-name" nvarchar(50),
   "source-type" nvarchar(50),
   "source-address" nvarchar(50),
   "source-phone-no" nvarchar(50),
   "source-staff" nvarchar(50),
   "source-description" nvarchar(50),
   "delivery-method" nvarchar(50),
   "delivery-type" nvarchar(50),
   "delivery-quantity" decimal(15,3),
   "delivery-quantity-unit" nvarchar(50),
   "delivery-form" nvarchar(50),
   "delivery-party" nvarchar(50),
   "delivery-location" nvarchar(50),
   "progress-time" datetime,
   "progress-type" nvarchar(50),
   "progress-value" decimal(15,3),
   "progress-value-unit" nvarchar(50),
   "progress-status" nvarchar(50),
   "purchase-name" nvarchar(50),
   "purchase-name-second" nvarchar(50),
   "purchase-item-name" nvarchar(50),
   "purchase-resource-name" nvarchar(50),
   "purchase-process-name" nvarchar(50),
   "purchase-party-name" nvarchar(50),
   "purchase-rank" nvarchar(50),
   "purchase-category" nvarchar(50),
   "purchase-instruction" nvarchar(50),
   "purchase-engineering" nvarchar(50),
   "decision-status" nvarchar(50),
   "complete-status" nvarchar(50),
   "result-status" nvarchar(50),
   "unit-quantity" decimal(15,3),
   "unit-name" nvarchar(50),
   "lotsize-data-type" nvarchar(50),
   "lotsize-standard" decimal(15,3),
   "lotsize-standard-unit" nvarchar(50),
   "lotsize-min" decimal(15,3),
   "lotsize-min-unit" nvarchar(50),
   "lotsize-max" decimal(15,3),
   "lotsize-max-unit" nvarchar(50),
   "lotsize-round" decimal(15,3),
   "lotsize-round-unit" nvarchar(50),
   "quantity-plan-type" nvarchar(50),
   "quantity-plan" decimal(15,3),
   "quantity-plan-unit" nvarchar(50),
   "quantity-firm-type" nvarchar(50),
   "quantity-firm" decimal(15,3),
   "quantity-firm-unit" nvarchar(50),
   "quantity-result-type" nvarchar(50),
   "quantity-result" decimal(15,3),
   "quantity-result-unit" nvarchar(50),
   "order-confirm-type" nvarchar(50),
   "order-confirm-time" datetime,
   "order-confirm-description" nvarchar(50),
   "start-time-type" nvarchar(50),
   "start-time-required" datetime,
   "start-time-schedule" datetime,
   "start-time-record" datetime,
   "end-time-type" nvarchar(50),
   "end-time-required" datetime,
   "end-time-schedule" datetime,
   "end-time-record" datetime,
   "release-time-type" nvarchar(50),
   "release-time-required" datetime,
   "release-time-schedule" datetime,
   "release-time-record" datetime,
   "due-time-type" nvarchar(50),
   "due-time-required" datetime,
   "due-time-schedule" datetime,
   "due-time-record" datetime,
   "unit-price-type" nvarchar(50),
   "unit-price" decimal(15,3),
   "unit-price-unit" nvarchar(50),
   "price-tax" decimal(15,3),
   "price-tax-unit" nvarchar(50),
   "price-discount" decimal(15,3),
   "price-discount-unit" nvarchar(50),
   "price-amount" decimal(15,3),
   "price-amount-unit" nvarchar(50),
   "priority-type" nvarchar(50),
   "priority-status" nvarchar(50),
   "priority-value" decimal(15,3),
   "display-name" nvarchar(50),
   "display-color" nvarchar(50),
   "display-row" nvarchar(50),
   "display-column" nvarchar(50),
   "description" nvarchar(50),
   "department-name" nvarchar(50),
   "department-staff" nvarchar(50),
   "date-create" datetime,
   "date-revise" datetime,
   "date-valid" datetime,
   "date-expire" datetime,
PRIMARY KEY ("_id") );

CREATE TABLE "ProductionOrder"(
   "_id" int IDENTITY(1,1) NOT NULL,
   "_parent-element" nvarchar(50) NOT NULL,
   "production-id" nvarchar(50) NOT NULL,
   "production-class" nvarchar(50),
   "production-party-id" nvarchar(50),
   "production-plan-id" nvarchar(50),
   "production-order-id" nvarchar(50),
   "production-item-id" nvarchar(50),
   "production-resource-id" nvarchar(50),
   "production-process-id" nvarchar(50),
   "production-lot-id" nvarchar(50),
   "production-task-id" nvarchar(50),
   "production-operation-id" nvarchar(50),
   "parent-id" nvarchar(50),
   "child-id" nvarchar(50),
   "child-name" nvarchar(50),
   "child-item-id" nvarchar(50),
   "child-resource-id" nvarchar(50),
   "child-process-id" nvarchar(50),
   "child-no" decimal(15,3),
   "child-quantity" decimal(15,3),
   "child-quantity-unit" nvarchar(50),
   "child-description" nvarchar(50),
   "counter" decimal(15,3),
   "year" decimal(15,3),
   "month" decimal(15,3),
   "week" decimal(15,3),
   "day" decimal(15,3),
   "shift" decimal(15,3),
   "production-site-id" nvarchar(50),
   "production-area-id" nvarchar(50),
   "production-workcenter-id" nvarchar(50),
   "production-department-id" nvarchar(50),
   "pegging-order-id" nvarchar(50),
   "pegging-type" nvarchar(50),
   "pegging-quantity-plan" decimal(15,3),
   "pegging-quantity-plan-unit" nvarchar(50),
   "pegging-quantity" decimal(15,3),
   "pegging-quantity-unit" nvarchar(50),
   "source-id" nvarchar(50),
   "source-name" nvarchar(50),
   "source-type" nvarchar(50),
   "source-address" nvarchar(50),
   "source-phone-no" nvarchar(50),
   "source-staff" nvarchar(50),
   "source-description" nvarchar(50),
   "destination-id" nvarchar(50),
   "destination-name" nvarchar(50),
   "destination-type" nvarchar(50),
   "destination-address" nvarchar(50),
   "destination-phone-no" nvarchar(50),
   "destination-staff" nvarchar(50),
   "destination-description" nvarchar(50),
   "delivery-method" nvarchar(50),
   "delivery-type" nvarchar(50),
   "delivery-quantity" decimal(15,3),
   "delivery-quantity-unit" nvarchar(50),
   "delivery-form" nvarchar(50),
   "delivery-party" nvarchar(50),
   "delivery-location" nvarchar(50),
   "progress-time" datetime,
   "progress-type" nvarchar(50),
   "progress-value" decimal(15,3),
   "progress-value-unit" nvarchar(50),
   "progress-status" nvarchar(50),
   "production-name" nvarchar(50),
   "production-name-second" nvarchar(50),
   "production-item-name" nvarchar(50),
   "production-resource-name" nvarchar(50),
   "production-process-name" nvarchar(50),
   "production-party-name" nvarchar(50),
   "production-rank" nvarchar(50),
   "production-category" nvarchar(50),
   "production-instruction" nvarchar(50),
   "production-engineering" nvarchar(50),
   "decision-status" nvarchar(50),
   "complete-status" nvarchar(50),
   "result-status" nvarchar(50),
   "unit-quantity" decimal(15,3),
   "unit-name" nvarchar(50),
   "lotsize-data-type" nvarchar(50),
   "lotsize-standard" decimal(15,3),
   "lotsize-standard-unit" nvarchar(50),
   "lotsize-min" decimal(15,3),
   "lotsize-min-unit" nvarchar(50),
   "lotsize-max" decimal(15,3),
   "lotsize-max-unit" nvarchar(50),
   "lotsize-round" decimal(15,3),
   "lotsize-round-unit" nvarchar(50),
   "quantity-plan-type" nvarchar(50),
   "quantity-plan" decimal(15,3),
   "quantity-plan-unit" nvarchar(50),
   "quantity-firm-type" nvarchar(50),
   "quantity-firm" decimal(15,3),
   "quantity-firm-unit" nvarchar(50),
   "quantity-result-type" nvarchar(50),
   "quantity-result" decimal(15,3),
   "quantity-result-unit" nvarchar(50),
   "start-time-type" nvarchar(50),
   "start-time-required" datetime,
   "start-time-schedule" datetime,
   "start-time-record" datetime,
   "end-time-type" nvarchar(50),
   "end-time-required" datetime,
   "end-time-schedule" datetime,
   "end-time-record" datetime,
   "release-time-type" nvarchar(50),
   "release-time-required" datetime,
   "release-time-schedule" datetime,
   "release-time-record" datetime,
   "due-time-type" nvarchar(50),
   "due-time-required" datetime,
   "due-time-schedule" datetime,
   "due-time-record" datetime,
   "unit-price-type" nvarchar(50),
   "unit-price" decimal(15,3),
   "unit-price-unit" nvarchar(50),
   "price-tax" decimal(15,3),
   "price-tax-unit" nvarchar(50),
   "price-discount" decimal(15,3),
   "price-discount-unit" nvarchar(50),
   "price-amount" decimal(15,3),
   "price-amount-unit" nvarchar(50),
   "priority-type" nvarchar(50),
   "priority-status" nvarchar(50),
   "priority-value" decimal(15,3),
   "display-name" nvarchar(50),
   "display-color" nvarchar(50),
   "display-row" nvarchar(50),
   "display-column" nvarchar(50),
   "description" nvarchar(50),
   "department-name" nvarchar(50),
   "department-staff" nvarchar(50),
   "date-create" datetime,
   "date-revise" datetime,
   "date-valid" datetime,
   "date-expire" datetime,
PRIMARY KEY ("_id") );

CREATE TABLE "Operation"(
   "_id" int IDENTITY(1,1) NOT NULL,
   "_parent-element" nvarchar(50) NOT NULL,
   "operation-id" nvarchar(50) NOT NULL,
   "operation-class" nvarchar(50),
   "operation-party-id" nvarchar(50),
   "operation-plan-id" nvarchar(50),
   "operation-order-id" nvarchar(50),
   "operation-item-id" nvarchar(50),
   "operation-resource-id" nvarchar(50),
   "operation-process-id" nvarchar(50),
   "operation-lot-id" nvarchar(50),
   "operation-task-id" nvarchar(50),
   "operation-operation-id" nvarchar(50),
   "parent-id" nvarchar(50),
   "child-id" nvarchar(50),
   "child-name" nvarchar(50),
   "child-item-id" nvarchar(50),
   "child-resource-id" nvarchar(50),
   "child-process-id" nvarchar(50),
   "child-no" decimal(15,3),
   "child-quantity" decimal(15,3),
   "child-quantity-unit" nvarchar(50),
   "child-description" nvarchar(50),
   "produce-item-id" nvarchar(50),
   "produce-resource-id" nvarchar(50),
   "produce-operation-id" nvarchar(50),
   "produce-type" nvarchar(50),
   "produce-name" nvarchar(50),
   "produce-group" nvarchar(50),
   "produce-time-plan" datetime,
   "produce-quantity-plan" decimal(15,3),
   "produce-quantity-plan-unit" nvarchar(50),
   "produce-time" datetime,
   "produce-quantity" decimal(15,3),
   "produce-quantity-unit" nvarchar(50),
   "produce-rate" decimal(15,3),
   "produce-priority-value" decimal(15,3),
   "produce-priority-category" nvarchar(50),
   "produce-lot-id" nvarchar(50),
   "produce-lot-type" nvarchar(50),
   "produce-lot-time-plan" datetime,
   "produce-lot-quanitity-plan" decimal(15,3),
   "produce-lot-quanitity-plan-unit" nvarchar(50),
   "produce-lot-time" datetime,
   "produce-lot-quanitity" decimal(15,3),
   "produce-lot-quanitity-unit" nvarchar(50),
   "consume-item-id" nvarchar(50),
   "consume-resource-id" nvarchar(50),
   "consume-operation-id" nvarchar(50),
   "consume-type" nvarchar(50),
   "consume-name" nvarchar(50),
   "consume-group" nvarchar(50),
   "consume-time-plan" datetime,
   "consume-quantity-plan" decimal(15,3),
   "consume-quantity-plan-unit" nvarchar(50),
   "consume-time" datetime,
   "consume-quantity" decimal(15,3),
   "consume-quantity-unit" nvarchar(50),
   "consume-rate" decimal(15,3),
   "consume-priority-value" decimal(15,3),
   "consume-priority-category" nvarchar(50),
   "consume-lot-id" nvarchar(50),
   "consume-lot-type" nvarchar(50),
   "consume-lot-time-plan" datetime,
   "consume-lot-quanitity-plan" decimal(15,3),
   "consume-lot-quanitity-plan-unit" nvarchar(50),
   "consume-lot-time" datetime,
   "consume-lot-quanitity" decimal(15,3),
   "consume-lot-quanitity-unit" nvarchar(50),
   "assign-item-id" nvarchar(50),
   "assign-resource-id" nvarchar(50),
   "assign-operation-id" nvarchar(50),
   "assign-type" nvarchar(50),
   "assign-name" nvarchar(50),
   "assign-group" nvarchar(50),
   "assign-time-plan" datetime,
   "assign-quantity-plan" decimal(15,3),
   "assign-quantity-plan-unit" nvarchar(50),
   "assign-time" datetime,
   "assign-quantity" decimal(15,3),
   "assign-quantity-unit" nvarchar(50),
   "assign-dulation" decimal(15,3),
   "assign-dulation-unit" nvarchar(50),
   "assign-rate" decimal(15,3),
   "assign-priority-value" decimal(15,3),
   "assign-priority-category" nvarchar(50),
   "assign-region-id" nvarchar(50),
   "assign-region-type" nvarchar(50),
   "assign-region-time-plan" datetime,
   "assign-region-volume-plan" decimal(15,3),
   "assign-region-volume-plan-unit" nvarchar(50),
   "assign-region-time" datetime,
   "assign-region-volume" decimal(15,3),
   "assign-region-volume-unit" nvarchar(50),
   "assign-task-id" nvarchar(50),
   "assign-task-type" nvarchar(50),
   "assign-task-time-plan" datetime,
   "assign-task-volume-plan" decimal(15,3),
   "assign-task-volume-plan-unit" nvarchar(50),
   "assign-task-time" datetime,
   "assign-task-volume" decimal(15,3),
   "assign-task-volume-unit" nvarchar(50),
   "pegging-order-id" nvarchar(50),
   "pegging-type" nvarchar(50),
   "pegging-quantity-plan" decimal(15,3),
   "pegging-quantity-plan-unit" nvarchar(50),
   "pegging-quantity" decimal(15,3),
   "pegging-quantity-unit" nvarchar(50),
   "predecessor-id" nvarchar(50),
   "predecessor-name" nvarchar(50),
   "predecessor-type" nvarchar(50),
   "predecessor-group" nvarchar(50),
   "predecessor-time" decimal(15,3),
   "predecessor-time-unit" nvarchar(50),
   "successor-id" nvarchar(50),
   "successor-name" nvarchar(50),
   "successor-type" nvarchar(50),
   "successor-group" nvarchar(50),
   "successor-time" decimal(15,3),
   "successor-time-unit" nvarchar(50),
   "recipe-id" nvarchar(50),
   "recipe-name" nvarchar(50),
   "recipe-type" nvarchar(50),
   "recipe-status" nvarchar(50),
   "recipe-count" decimal(15,3),
   "recipe-value" decimal(15,3),
   "recipe-vaue-unit" nvarchar(50),
   "recipe-time" datetime,
   "recipe-description" nvarchar(50),
   "location-id" nvarchar(50),
   "location-name" nvarchar(50),
   "location-type" nvarchar(50),
   "location-region" nvarchar(50),
   "location-method" nvarchar(50),
   "location-time" datetime,
   "transfer-id" nvarchar(50),
   "transfer-name" nvarchar(50),
   "transfer-type" nvarchar(50),
   "transfer-region" nvarchar(50),
   "transfer-method" nvarchar(50),
   "transfer-time" datetime,
   "progress-time" datetime,
   "progress-type" nvarchar(50),
   "progress-value" decimal(15,3),
   "progress-value-unit" nvarchar(50),
   "progress-status" nvarchar(50),
   "operation-name" nvarchar(50),
   "operation-name-second" nvarchar(50),
   "operation-rank" nvarchar(50),
   "operation-category" nvarchar(50),
   "operation-instruction" nvarchar(50),
   "operation-engineering" nvarchar(50),
   "decision-status" nvarchar(50),
   "complete-status" nvarchar(50),
   "result-status" nvarchar(50),
   "unit-quantity" decimal(15,3),
   "unit-name" nvarchar(50),
   "quantity-plan-type" nvarchar(50),
   "quantity-plan" decimal(15,3),
   "quantity-plan-unit" nvarchar(50),
   "quantity-firm-type" nvarchar(50),
   "quantity-firm" decimal(15,3),
   "quantity-firm-unit" nvarchar(50),
   "quantity-result-type" nvarchar(50),
   "quantity-result" decimal(15,3),
   "quantity-result-unit" nvarchar(50),
   "start-time-type" nvarchar(50),
   "start-time-required" datetime,
   "start-time-schedule" datetime,
   "start-time-record" datetime,
   "end-time-type" nvarchar(50),
   "end-time-required" datetime,
   "end-time-schedule" datetime,
   "end-time-record" datetime,
   "release-time-type" nvarchar(50),
   "release-time-required" datetime,
   "release-time-schedule" datetime,
   "release-time-record" datetime,
   "due-time-type" nvarchar(50),
   "due-time-required" datetime,
   "due-time-schedule" datetime,
   "due-time-record" datetime,
   "execution-time-type" nvarchar(50),
   "execution-time-required" datetime,
   "execution-time-schedule" datetime,
   "execution-time-record" datetime,
   "priority-type" nvarchar(50),
   "priority-status" nvarchar(50),
   "priority-value" decimal(15,3),
   "display-name" nvarchar(50),
   "display-color" nvarchar(50),
   "display-row" nvarchar(50),
   "display-column" nvarchar(50),
   "description" nvarchar(50),
   "department-name" nvarchar(50),
   "department-staff" nvarchar(50),
   "date-create" datetime,
   "date-revise" datetime,
   "date-valid" datetime,
   "date-expire" datetime,
PRIMARY KEY ("_id") );

CREATE TABLE "Lot"(
   "_id" int IDENTITY(1,1) NOT NULL,
   "_parent-element" nvarchar(50) NOT NULL,
   "lot-id" nvarchar(50) NOT NULL,
   "lot-class" nvarchar(50),
   "lot-party-id" nvarchar(50),
   "lot-plan-id" nvarchar(50),
   "lot-order-id" nvarchar(50),
   "lot-item-id" nvarchar(50),
   "lot-resource-id" nvarchar(50),
   "lot-process-id" nvarchar(50),
   "lot-lot-id" nvarchar(50),
   "lot-task-id" nvarchar(50),
   "lot-operation-id" nvarchar(50),
   "parent-id" nvarchar(50),
   "child-id" nvarchar(50),
   "child-name" nvarchar(50),
   "child-item-id" nvarchar(50),
   "child-resource-id" nvarchar(50),
   "child-process-id" nvarchar(50),
   "child-no" decimal(15,3),
   "child-quantity" decimal(15,3),
   "child-quantity-unit" nvarchar(50),
   "child-description" nvarchar(50),
   "produce-item-id" nvarchar(50),
   "produce-resource-id" nvarchar(50),
   "produce-operation-id" nvarchar(50),
   "produce-type" nvarchar(50),
   "produce-name" nvarchar(50),
   "produce-group" nvarchar(50),
   "produce-time-plan" datetime,
   "produce-quantity-plan" decimal(15,3),
   "produce-quantity-plan-unit" nvarchar(50),
   "produce-time" datetime,
   "produce-quantity" decimal(15,3),
   "produce-quantity-unit" nvarchar(50),
   "produce-rate" decimal(15,3),
   "produce-priority-value" decimal(15,3),
   "produce-priority-category" nvarchar(50),
   "consume-item-id" nvarchar(50),
   "consume-resource-id" nvarchar(50),
   "consume-operation-id" nvarchar(50),
   "consume-type" nvarchar(50),
   "consume-name" nvarchar(50),
   "consume-group" nvarchar(50),
   "consume-time-plan" datetime,
   "consume-quantity-plan" decimal(15,3),
   "consume-quantity-plan-unit" nvarchar(50),
   "consume-time" datetime,
   "consume-quantity" decimal(15,3),
   "consume-quantity-unit" nvarchar(50),
   "consume-rate" decimal(15,3),
   "consume-priority-value" decimal(15,3),
   "consume-priority-category" nvarchar(50),
   "pegging-order-id" nvarchar(50),
   "pegging-type" nvarchar(50),
   "pegging-quantity-plan" decimal(15,3),
   "pegging-quantity-plan-unit" nvarchar(50),
   "pegging-quantity" decimal(15,3),
   "pegging-quantity-unit" nvarchar(50),
   "recipe-id" nvarchar(50),
   "recipe-name" nvarchar(50),
   "recipe-type" nvarchar(50),
   "recipe-status" nvarchar(50),
   "recipe-count" decimal(15,3),
   "recipe-value" decimal(15,3),
   "recipe-vaue-unit" nvarchar(50),
   "recipe-time" datetime,
   "recipe-description" nvarchar(50),
   "event-id" nvarchar(50),
   "event-name" nvarchar(50),
   "event-type" nvarchar(50),
   "event-status" nvarchar(50),
   "event-count" decimal(15,3),
   "event-value" decimal(15,3),
   "event-value-unit" nvarchar(50),
   "event-time" datetime,
   "event-description" nvarchar(50),
   "location-id" nvarchar(50),
   "location-name" nvarchar(50),
   "location-type" nvarchar(50),
   "location-region" nvarchar(50),
   "location-method" nvarchar(50),
   "location-time" datetime,
   "transfer-id" nvarchar(50),
   "transfer-name" nvarchar(50),
   "transfer-type" nvarchar(50),
   "transfer-region" nvarchar(50),
   "transfer-method" nvarchar(50),
   "transfer-time" datetime,
   "progress-time" datetime,
   "progress-type" nvarchar(50),
   "progress-value" decimal(15,3),
   "progress-value-unit" nvarchar(50),
   "progress-status" nvarchar(50),
   "lot-name" nvarchar(50),
   "lot-name-second" nvarchar(50),
   "lot-rank" nvarchar(50),
   "lot-category" nvarchar(50),
   "lot-instruction" nvarchar(50),
   "lot-engineering" nvarchar(50),
   "decision-status" nvarchar(50),
   "complete-status" nvarchar(50),
   "result-status" nvarchar(50),
   "unit-quantity" decimal(15,3),
   "unit-name" nvarchar(50),
   "quantity-plan-type" nvarchar(50),
   "quantity-plan" decimal(15,3),
   "quantity-plan-unit" nvarchar(50),
   "quantity-firm-type" nvarchar(50),
   "quantity-firm" decimal(15,3),
   "quantity-firm-unit" nvarchar(50),
   "quantity-result-type" nvarchar(50),
   "quantity-result" decimal(15,3),
   "quantity-result-unit" nvarchar(50),
   "start-time-type" nvarchar(50),
   "start-time-required" datetime,
   "start-time-schedule" datetime,
   "start-time-record" datetime,
   "end-time-type" nvarchar(50),
   "end-time-required" datetime,
   "end-time-schedule" datetime,
   "end-time-record" datetime,
   "release-time-type" nvarchar(50),
   "release-time-required" datetime,
   "release-time-schedule" datetime,
   "release-time-record" datetime,
   "due-time-type" nvarchar(50),
   "due-time-required" datetime,
   "due-time-schedule" datetime,
   "due-time-record" datetime,
   "priority-type" nvarchar(50),
   "priority-status" nvarchar(50),
   "priority-value" decimal(15,3),
   "display-name" nvarchar(50),
   "display-color" nvarchar(50),
   "display-row" nvarchar(50),
   "display-column" nvarchar(50),
   "description" nvarchar(50),
   "department-name" nvarchar(50),
   "department-staff" nvarchar(50),
   "date-create" datetime,
   "date-revise" datetime,
   "date-valid" datetime,
   "date-expire" datetime,
PRIMARY KEY ("_id") );

CREATE TABLE "Task"(
   "_id" int IDENTITY(1,1) NOT NULL,
   "_parent-element" nvarchar(50) NOT NULL,
   "task-id" nvarchar(50) NOT NULL,
   "task-class" nvarchar(50),
   "task-party-id" nvarchar(50),
   "task-plan-id" nvarchar(50),
   "task-order-id" nvarchar(50),
   "task-item-id" nvarchar(50),
   "task-resource-id" nvarchar(50),
   "task-process-id" nvarchar(50),
   "task-lot-id" nvarchar(50),
   "task-task-id" nvarchar(50),
   "task-operation-id" nvarchar(50),
   "parent-id" nvarchar(50),
   "child-id" nvarchar(50),
   "child-name" nvarchar(50),
   "child-item-id" nvarchar(50),
   "child-resource-id" nvarchar(50),
   "child-process-id" nvarchar(50),
   "child-no" decimal(15,3),
   "child-quantity" decimal(15,3),
   "child-quantity-unit" nvarchar(50),
   "child-description" nvarchar(50),
   "assign-item-id" nvarchar(50),
   "assign-resource-id" nvarchar(50),
   "assign-operation-id" nvarchar(50),
   "assign-type" nvarchar(50),
   "assign-name" nvarchar(50),
   "assign-group" nvarchar(50),
   "assign-time-plan" datetime,
   "assign-quantity-plan" decimal(15,3),
   "assign-quantity-plan-unit" nvarchar(50),
   "assign-time" datetime,
   "assign-quantity" decimal(15,3),
   "assign-quantity-unit" nvarchar(50),
   "assign-dulation" decimal(15,3),
   "assign-dulation-unit" nvarchar(50),
   "assign-rate" decimal(15,3),
   "assign-priority-value" decimal(15,3),
   "assign-priority-category" nvarchar(50),
   "pegging-order-id" nvarchar(50),
   "pegging-type" nvarchar(50),
   "pegging-quantity-plan" decimal(15,3),
   "pegging-quantity-plan-unit" nvarchar(50),
   "pegging-quantity" decimal(15,3),
   "pegging-quantity-unit" nvarchar(50),
   "recipe-id" nvarchar(50),
   "recipe-name" nvarchar(50),
   "recipe-type" nvarchar(50),
   "recipe-status" nvarchar(50),
   "recipe-count" decimal(15,3),
   "recipe-value" decimal(15,3),
   "recipe-vaue-unit" nvarchar(50),
   "recipe-time" datetime,
   "recipe-description" nvarchar(50),
   "event-id" nvarchar(50),
   "event-name" nvarchar(50),
   "event-type" nvarchar(50),
   "event-status" nvarchar(50),
   "event-count" decimal(15,3),
   "event-value" decimal(15,3),
   "event-value-unit" nvarchar(50),
   "event-time" datetime,
   "event-description" nvarchar(50),
   "location-id" nvarchar(50),
   "location-name" nvarchar(50),
   "location-type" nvarchar(50),
   "location-region" nvarchar(50),
   "location-method" nvarchar(50),
   "location-time" datetime,
   "transfer-id" nvarchar(50),
   "transfer-name" nvarchar(50),
   "transfer-type" nvarchar(50),
   "transfer-region" nvarchar(50),
   "transfer-method" nvarchar(50),
   "transfer-time" datetime,
   "progress-time" datetime,
   "progress-type" nvarchar(50),
   "progress-value" decimal(15,3),
   "progress-value-unit" nvarchar(50),
   "progress-status" nvarchar(50),
   "task-name" nvarchar(50),
   "task-name-second" nvarchar(50),
   "task-rank" nvarchar(50),
   "task-category" nvarchar(50),
   "task-instruction" nvarchar(50),
   "task-engineering" nvarchar(50),
   "decision-status" nvarchar(50),
   "complete-status" nvarchar(50),
   "result-status" nvarchar(50),
   "unit-quantity" decimal(15,3),
   "unit-name" nvarchar(50),
   "total-time-type" nvarchar(50),
   "total-time" decimal(15,3),
   "total-time-unit" nvarchar(50),
   "quantity-plan-type" nvarchar(50),
   "quantity-plan" decimal(15,3),
   "quantity-plan-unit" nvarchar(50),
   "quantity-firm-type" nvarchar(50),
   "quantity-firm" decimal(15,3),
   "quantity-firm-unit" nvarchar(50),
   "quantity-result-type" nvarchar(50),
   "quantity-result" decimal(15,3),
   "quantity-result-unit" nvarchar(50),
   "start-time-type" nvarchar(50),
   "start-time-required" datetime,
   "start-time-schedule" datetime,
   "start-time-record" datetime,
   "end-time-type" nvarchar(50),
   "end-time-required" datetime,
   "end-time-schedule" datetime,
   "end-time-record" datetime,
   "release-time-type" nvarchar(50),
   "release-time-required" datetime,
   "release-time-schedule" datetime,
   "release-time-record" datetime,
   "due-time-type" nvarchar(50),
   "due-time-required" datetime,
   "due-time-schedule" datetime,
   "due-time-record" datetime,
   "priority-type" nvarchar(50),
   "priority-status" nvarchar(50),
   "priority-value" decimal(15,3),
   "display-name" nvarchar(50),
   "display-color" nvarchar(50),
   "display-row" nvarchar(50),
   "display-column" nvarchar(50),
   "description" nvarchar(50),
   "department-name" nvarchar(50),
   "department-staff" nvarchar(50),
   "date-create" datetime,
   "date-revise" datetime,
   "date-valid" datetime,
   "date-expire" datetime,
PRIMARY KEY ("_id") );

CREATE TABLE "EquipmentState"(
   "_id" int IDENTITY(1,1) NOT NULL,
   "_parent-element" nvarchar(50) NOT NULL,
   "equipment-id" nvarchar(50) NOT NULL,
   "equipment-class" nvarchar(50),
   "equipment-party-id" nvarchar(50),
   "equipment-plan-id" nvarchar(50),
   "equipment-order-id" nvarchar(50),
   "equipment-item-id" nvarchar(50),
   "equipment-resource-id" nvarchar(50),
   "equipment-process-id" nvarchar(50),
   "equipment-lot-id" nvarchar(50),
   "equipment-task-id" nvarchar(50),
   "equipment-operation-id" nvarchar(50),
   "parent-id" nvarchar(50),
   "child-id" nvarchar(50),
   "child-name" nvarchar(50),
   "child-item-id" nvarchar(50),
   "child-resource-id" nvarchar(50),
   "child-process-id" nvarchar(50),
   "child-no" decimal(15,3),
   "child-quantity" decimal(15,3),
   "child-quantity-unit" nvarchar(50),
   "child-description" nvarchar(50),
   "recipe-id" nvarchar(50),
   "recipe-name" nvarchar(50),
   "recipe-type" nvarchar(50),
   "recipe-status" nvarchar(50),
   "recipe-count" decimal(15,3),
   "recipe-value" decimal(15,3),
   "recipe-vaue-unit" nvarchar(50),
   "recipe-time" datetime,
   "recipe-description" nvarchar(50),
   "event-id" nvarchar(50),
   "event-name" nvarchar(50),
   "event-type" nvarchar(50),
   "event-status" nvarchar(50),
   "event-count" decimal(15,3),
   "event-value" decimal(15,3),
   "event-value-unit" nvarchar(50),
   "event-time" datetime,
   "event-description" nvarchar(50),
   "monitoring-id" nvarchar(50),
   "monitoring-name" nvarchar(50),
   "monitoring-type" nvarchar(50),
   "monitoring-status" nvarchar(50),
   "monitoring-count" decimal(15,3),
   "monitoring-value" decimal(15,3),
   "monitoring-value-unit" nvarchar(50),
   "monitoring-time" datetime,
   "monitoring-description" nvarchar(50),
   "location-id" nvarchar(50),
   "location-name" nvarchar(50),
   "location-type" nvarchar(50),
   "location-region" nvarchar(50),
   "location-method" nvarchar(50),
   "location-time" datetime,
   "equipment-name" nvarchar(50),
   "equipment-name-second" nvarchar(50),
   "equipment-rank" nvarchar(50),
   "equipment-category" nvarchar(50),
   "equipment-instruction" nvarchar(50),
   "equipment-engineering" nvarchar(50),
   "decision-status" nvarchar(50),
   "complete-status" nvarchar(50),
   "result-status" nvarchar(50),
   "unit-quantity" decimal(15,3),
   "unit-name" nvarchar(50),
   "total-time-type" nvarchar(50),
   "total-time" decimal(15,3),
   "total-time-unit" nvarchar(50),
   "break-type" nvarchar(50),
   "break-date" datetime,
   "break-description" nvarchar(50),
   "break-quantity" decimal(15,3),
   "break-quantity-unit" nvarchar(50),
   "execution-time-type" nvarchar(50),
   "execution-time-required" datetime,
   "execution-time-schedule" datetime,
   "execution-time-record" datetime,
   "display-name" nvarchar(50),
   "display-color" nvarchar(50),
   "display-row" nvarchar(50),
   "display-column" nvarchar(50),
   "description" nvarchar(50),
   "department-name" nvarchar(50),
   "department-staff" nvarchar(50),
   "date-create" datetime,
   "date-revise" datetime,
   "date-valid" datetime,
   "date-expire" datetime,
PRIMARY KEY ("_id") );

